' "The Mansion"
' Created with QDK 3.12

define game <The Mansion>
	asl-version <311>
	start <Entrance Hall West>
	game author <Nick Dablin>
	game version <1.0>
	game copyright <2004 Nick Dablin. All rights reserved.>
	game info <Created with QDK 3.12>
	default fontname <Courier New>
	default fontsize <10>
	startscript {
		msg <It's 3:30 in the morning. The phone's ringing. Who could it be at this time of night? You stretch, yawn, and reach for the receiver lying on your bedside table.|n"Hello. Who is this?" you ask impatiently.|nA voice at the other end says that it's the police. Your uncle, a noted scientist, has been found dead.|nShocked, you quickly pull on some clothes. It's quite a drive to the station, but you get there and identify the body. You feel quite sick to the stomach. Your uncle was your only living relative. Something isn't right though. Apparently, he died of a heart attack. But he was only 55, and had never had any history of heart problems.|nA few days later, you learn that you have inherited everything your uncle owned - his wealth and his huge mansion in the country. Wearily, you pull up on the gravel drive outside the house. Time to investigate the house for any clues to his death...>
		give <Map of the Ground Floor>
		wait <Press any key>
	}
	command <wank> msg <A little self relief never hurt anyone, but now is not the time.>
	command <masturbate> msg <A little self relief never hurt anyone, but now is not the time.>
	command <fuck> msg <Don't be rude!>
	command <shit> msg <Don't be rude!>
	command <duck> msg <Where?!?>
	command <cunt> msg <Don't be rude!>
	command <bastard> msg <Don't be rude!>
	command <bugger> msg <Don't be rude!>
	command <cheat> msg <Tut tut! That's not very nice!>
	error <badcommand; That doesn't work.>
	error <badthing; You don't have any object by that name.>
	error <badplace; I can't go there, there's no such place.>
	error <itemunwanted; You can't give that to that.>
	error <defaultuse; You can't use that.>
	error <cantdrop; You can't drop that.>
	error <noitem; You don't have any object by that name.>
	error <badtake; You can't take that.>
	error <baditem; There doesn't seem to be any object by that name.>
	error <baddrop; You don't have any object by that name.>
	error <defaultdrop; You dropped the item.>
	error <defaultexamine; There doesn't seem to be anything special about it.>
	error <defaultlook; It looks perfectly normal.>
	error <defaultspeak; It isn't saying anything.>
	error <defaulttake; You pick it up.>
end define

define synonyms
end define

define room <Entrance Hall West>
	alias <Entrance Hall>
	look <The gothic architecture of the mansion lends a creepy feel to the entrance hall. Candles light the room. |n|nYou can go EAST to the other side of the entrance hall. |nThere is also a door to the WEST.|nYou can see a glass-paned door to the NORTH. Through it, a garden of some sort is visible.|nThe front door is SOUTH.>
	indescription <You are standing at the west end of the:>
	north msg <The glass paned door is locked. If you had a weapon, you could smash it open, or maybe there's a key somewhere around.>
	south msg <You can't leave the mansion until you've investigated your uncle's untimely death.>
	east <Entrance Hall East>
	west <Gallery East>
	use <Fire ax> {
		msg <You swing the ax and smash the door open.>
		create exit north <Entrance Hall West; Courtyard South-west>
		create exit south <Courtyard South-west; Entrance Hall West>
	}

	define object <Map of the Ground Floor>
		look {
			msg <Here is the map of the mansion ground floor:>
			picture <groundfloormap.jpg@523x348>
		}
		take {
			msg <You pick up the map.>
			give <Map of the Ground Floor>
		}
		speak msg <You do realise you're talking to a piece of paper, don't you?>
		examine msg <It's fairly basic, but you can just about make sense of it.>
		use msg <If you want to see the map, LOOK at it.>
		use anything msg <You can't do anything to the map.>
		use on anything msg <You're not lost; what help is that?>
	end define

end define

define room <Entrance Hall East>
	alias <Entrance Hall>
	look <You are on the eastern side of the entrance Hall. A gloomy portrait of your late uncle glares down at you from the wall here.|n|nYou can also go WEST to the other side of the entrance hall from here.|nA door leads EAST.>
	indescription <You are standing at the eastern end of the:>
	east msg <The door to the EAST is locked. You can't see a keyhole. Presumably it's locked by some kind of mechanism. A picture of a musical note is engraved on the door.>
	west <Entrance Hall West>
	place <Cupboard under the Stairs>

	define object <Staircase>
		alias <Staircase>
		alt <stairs; Stairs; staircase; StairCase; Stair Case; stair case; Stair case>
		look {
			msg <It's a wide set of stairs leading up to a landing above.>
			choose <Entrance Hall Stairs Up Menu>
		}
		take msg <Often pick up staircases, do you?>
		speak msg <It's a staircase. What makes you think it can talk?>
		examine msg <Close examination reveals an intricately carved pattern in the wood of the banister. There doesn't seem to be anything special about it.>
		prefix <a>
		article <them>
		gender <it>
		use goto <Landing above entrance hall east>
		use <Fire ax> msg <If you chop the staircase to bits, how will you get upstairs?>
		use anything msg <You can't do anything to the stairs with that.>
	end define

end define

define room <Gallery West>
	alias <Gallery>
	look <This is the western side of the art gallery. Works of art line the walls. Most of the pictures seem to be quite dark in nature - gothic castles, thunderstorms and such like. The sculptures are disturbing - a bust of a face contorted into a scream of anguish, and a vase with pictures representing a tribal sacrifice around the rim.|n|nThere is a door to the NORTH.|nAnother door leads WEST.|nEAST will take you to the other end of the gallery.>
	indescription <You are at the west end of the:>
	north <Hall North of Gallery>
	east <Gallery East>
	west <Music Room South>
end define

define room <Gallery East>
	alias <Gallery>
	look <This appears to be an art gallery of some sort. There are paintings on the walls, and various plinths with busts, vases and other works of art. All the art seems to be dark and disturbing. Only one piece stands out amongst the paintings of sorcerers and dark clouds - a mundane image of the dining room of this house.|n|nThere is a door to the EAST.|nYou can go WEST to the other side of the gallery.|nThere is a small, battered wooden door to the NORTH.>
	indescription <You are at the east end of the:>
	north <Art Supplies Room>
	east <Entrance Hall West>
	west <Gallery West>

	define object <Drawing Room Painting>
		alias <Dining Room Painting>
		alt <Painting; dining room painting; Dining room painting; Dining Room painting; room painting; Room painting; Room Painting; Picture; painting; picture>
		look msg <It's a painting of the dining hall of this mansion. It is easily removable from the frame.>
		take {
			msg <You carefully remove the painting from the frame on the wall and roll it up.>
			give <Drawing Room Painting>
			goto <Secure Gallery East>
		}
		speak msg <It's not even like it's a portrait...>
		examine {
			msg <Upon closer inspection of the painting, you notice that there's a strange carving in the floor of the dining hall, where the table should be.|nThe very edge of the painting has been clipped with two pieces of metal, one at the top, one at the bottom.>
			hide <Table>
			show <Table2>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <There's nothing to do with it.>
		use <Fire ax> msg <Hey! That's art! Leave it alone, you vandal!>
		use anything msg <Leave the artwork alone!>
		use on anything msg <You can't hang the painting on that!>
	end define

	define object <Art Gallery Painting2>
		alias <Art Gallery Painting>
		alt <Painting; painting>
		look msg <It's a painting of the art gallery of this mansion. Is this some post-modern expressionism or something more?>
		take {
			msg <You take the painting of the art gallery.>
			hide <Art Gallery Painting2>
			show <Art Gallery Painting>
			give <Art Gallery Painting>
			goto <Secure Gallery East>
		}
		speak msg <It's not even like it's a portrait...>
		examine msg <It is easily removable from the frame. The very edge of the painting has been clipped with a piece of metal at the top.>
		hidden
		use <Fire ax> msg <Hey! That's art! Leave it alone you vandal!>
		use anything msg <Leave that artwork alone!>
	end define

end define

define room <Music Room South>
	alias <Music Room>
	look <This room seems to have been used for storing and playing instruments.|n|nYou can go NORTH to the other end of the music room.|nEAST is a fine wooden door.>
	indescription <You are at the south end of the:>
	north <Music Room North>
	east <Gallery West>

	define object <Grand Piano>
		alias <Grand Piano>
		alt <grand piano; Grand piano; Piano; piano>
		look msg <It's a large grand piano. It's been well looked after - every surface is shiny.>
		take msg <The piano is quite heavy but you just about manage to put it in your pocket.|nNot. Really.>
		speak msg <The piano talks back! Not really. What sort of an idiot are you.>
		examine msg <Opening the top of the piano, you can see the strings inside. There is nothing else of note.>
		article <it>
		gender <it>
		use msg <You play a few notes. You had piano lessons as a child, but you've forgotten how to play anything more complicated than 'Twinkle Twinkle Little Star'.>
		use anything msg <That can't play the piano.>
	end define

	define object <Gold Flute>
		alias <Gold Flute>
		alt <gold flute; Gold flute; Flute; flute>
		look msg <It's a valuable-looking flute made of solid gold.>
		take {
			msg <You pick up the gold flute. It's quite heavy.>
			give <Gold Flute>
		}
		speak msg <You can't even get any music out of it, let alone a conversation!>
		examine msg <You blow into the flute. You can't seem to get any sound out of it.>
		prefix <the>
		article <it>
		gender <it>
		use msg <It seems to work - it's not blocked up or anything. Nevertheless you can't get a sound out of it.>
		use anything msg <That can't play the flute either.>
		use on anything msg <The flute isn't going to be much use here.>
		drop everywhere <You drop the flute.>
	end define

end define

define room <Music Room North>
	alias <Music Room>
	look <This is the north end of the music room. Sheet music lies scattered on a desk under the window.|n|nSOUTH will take you to the other end of the music room.|nThere is a door to the EAST.>
	indescription <You are at the north end of the:>
	south <Music Room South>
	east <Hall North of Gallery>

	define object <Requiem of Open Doors>
		alias <Requiem of Open Doors>
		alt <Requiem; requiem; requiem of open doors; music; Music; Sheet Music; Sheet music; sheet music>
		look msg <It's a piece of music entitled "The Requiem of Open Doors".|nYou could probably play this on the piano at a pinch.>
		take {
			msg <You take the piece of music.>
			give <Requiem of Open Doors>
		}
		speak msg <Since when did pieces of paper talk?>
		examine msg <It's a simple piece of music.>
		prefix <the>
		article <it>
		gender <it>
		use msg <You hum the music to yourself. Quite a catchy little tune...>
		use on <Grand Piano> {
			msg <You play the Requiem of Open Doors on the piano. There is a click of a door unlocking faintly from somewhere in the house. It sounded like it came from the EAST.>
			create exit east <Entrance Hall East; Dining Hall West>
			hide <Requiem of Open Doors>
		}
		use on <Gold Flute> msg <You can play this music on the piano, but not the flute.>
		use anything msg <That won't work.>
		use on anything msg <What good will that do?>
	end define

end define

define room <Hall North of Gallery>
	alias <West Hall>
	look <You are in a small hallway. A dying plant sits in a pot on a table at the east side of the room.|n|nA door leads SOUTH.|nAnother door will take you WEST.|nThere is a third door to the NORTH.>
	indescription <You are in the:>
	north <Corridor west of courtyard west>
	south <Gallery West>
	west <Music Room North>

	define object <Plant Pot>
		alias <Plant Pot>
		alt <plant; pot; Plant; Pot; Plant pot; plant pot>
		look msg <You can't identify the plant in the pot. It looks withered.>
		take msg <You could take the plant, but it seems quite useless, so you don't.>
		speak msg <You try talking to the flower to help it grow, but nothing happens and you get embarrassed and stop.>
		examine msg <Watering this plant might make it flourish again.>
		use <Shower Cleaner> msg <That really won't help the poor plant grow.>
		use anything msg <That doesn't make the plant come back to life.>
	end define

	define object <Socket>
		alias <Electric Socket>
		alt <electric socket; Electric socket; Socket; socket>
		look msg <It's an electric socket. You could plug something electronic in here.>
		take msg <Unsurprisingly, that's attached to the wall, and therefore cannot be picked up.>
		speak msg <You might as well just stick your finger in the damn socket and make the gene pool slightly more intelligent.>
		examine msg <It seems to be working fine. The power's on.>
		prefix <an>
		article <it>
		gender <it>
		use <TV-VCR Combination> {
			msg <You plug the TV-VCR Combination into the socket and place it on the table.>
			hide <TV-VCR Combination>
			hide <Socket>
			show <TV-VCR Combination Plugged In>
		}
		use <Shower Cleaner> msg <Don't do that, it's dangerous!>
		use anything msg <You can't plug that in!>
	end define

	define object <TV-VCR Combination Plugged In>
		alias <TV-VCR Combination>
		alt <TV; VCR; TV-VCR>
		look msg <You've plugged in the TV-VCR Combination. It now has power. It's not tuned in, but the VCR works.>
		take {
			msg <You unplug the TV-VCR Combination and pick it up.>
			hide <TV-VCR Combination Plugged In>
			show <Socket>
			show <TV-VCR Combination>
			give <TV-VCR Combination>
		}
		speak msg <It's rather a one-sided conversation.>
		examine msg <The little red light's on. There's dust all over the screen.>
		hidden
		use <Video Tape> {
			msg <You slide the video cassette into the recorder and hit 'Play'.>
			msg <The video starts with a lot of noise. Suddenly, the picture is sharp and clear. It's been filmed with a handheld camcorder. Your uncle is filming himself.>
			say <If you're watching this tape, that means I'm probably dead. The corporation knows my secret. They'll terminate me for sure. My involvement in the project is too great. But I know how to stop them. You must get to the basement. All the answers are there. I have hidden something useful in a sack of potatoes in the pantry. Don't let them finish my work.>
			msg <The tape cuts out at that point. Your uncle said something was hidden in the pantry...>
			show <Sack of Potatoes>
		}
		use <Shower Cleaner> msg <That might break it...>
		use anything msg <You can't watch that on the VCR.>
	end define

end define

define room <Art Supplies Room>
	alias <Art Supplies Storage Room>
	look <This small room is little more than a cupboard. It contains marble plinths, empty picture frames, and a few odds and ends, all covered by white dust sheets. A single, bare, flickering 40-watt bulb barely lights the room.|n|nThe only exit is SOUTH, back to the art gallery.>
	indescription <You are in the:>
	south <Gallery East>

	define object <Vase>
		alias <Vase>
		alt <vase>
		look msg <A small richly decorated vase with decoration that catches your attention.>
		take {
			msg <You pick up the vase. As you lift it from the floor, it emits a small rattling sound.>
			give <Vase>
		}
		speak msg <Hey, it echoes! But it doesn't talk back.>
		examine msg <It's inlaid with gold filigree. The detailing is amazing.>
		prefix <a>
		article <it>
		gender <it>
		use {
			msg <You turn the vase upside down. The source of the rattling noise is found. A gold key with 003 carved into the end has fallen out.>
			hide <Vase>
			msg <As you take the key, the vase slips from your hands and smashes on the floor.>
			show <Key 003>
			give <Key 003>
		}
		use on anything {
			msg <You smash the vase heavily against it. It breaks you find a key inside.>
			hide <Vase>
			show <Key 003>
			give <Key 003>
		}
		drop {
			msg <You drop the vase. It smashes on the floor. A key falls out of the pottery pieces. You take it.>
			hide <Vase>
			show <Key 003>
			give <Key 003>
		}
		drop
	end define

	define object <Key 003>
		alias <Key 003>
		alt <Room 3 key; Key 3; room 3 key; key 3; key 03; Key 03; Key 003; key 003>
		look msg <It's a gold key with '003' carved into the end. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You took the key.>
			give <Key 003>
		}
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <You can't unlock that with the key.>
	end define

end define

define room <Courtyard South-west>
	alias <Courtyard>
	look <This beautiful garden and courtyard is full of trees and plants. There are benches to sit on and a fountain.|n|nThe courtyard stretches out to the NORTH, NORTHEAST and EAST.|nA glass-panelled door lies to the SOUTH.|nA wooden door leads WEST.>
	indescription <You are in the south-west part of the:>
	north <Courtyard North-west>
	south msg <The glass-panelled door is locked. You could try breaking it down, or maybe there's a key somewhere.>
	east <Courtyard South-east>
	west <Shed>
	northeast <Courtyard North-east>
	use <Fire ax> {
		msg <You break in the glass-panelled door to the south.>
		create exit south <Courtyard South-west; Entrance Hall West>
		create exit north <Entrance Hall West; Courtyard South-west>
	}
end define

define room <Courtyard South-east>
	alias <Courtyard>
	look <This is the south-west part of the courtyard. A line of bushes disguises a dog kennel. The kitchen window is right next to the kennel.|n|nYou can go NORTH, NORTHWEST or WEST to go to other parts of the courtyard.>
	indescription <You are in the south-east part of the:>
	north <Courtyard North-east>
	west <Courtyard South-west>
	northwest <Courtyard North-west>

	define object <Kennel>
		alias <Kennel>
		look msg <It's a dog kennel. It appears to be occupied.>
		take msg <It's nailed down.>
		speak msg <The kennel barks! No, wait, it was something inside the kennel.>
		examine {
			msg <You attempt to look inside the kennel, but your uncle's fierce dog leaps out and barks repeatedly at you. It's chained to the kennel, so it can't get you, but you can't get into the kennel either.>
			hide <Kennel>
			show <Kennel2>
			show <Dog>
		}
		prefix <the>
		article <it>
		gender <it>
		use anything msg <That won't do any good.>
	end define

	define object <Kennel2>
		alias <Kennel>
		look msg <It's a dog kennel. It's well guarded.>
		take msg <It's still nailed down!>
		speak msg <The dog thinks you must be blind. He's not in the kennel any more.>
		examine msg <You can't get to the kennel - the dog's in the way and he looks hungry.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't get close enough - the dog looks hungry!>
	end define

	define object <Dog>
		alias <Dog>
		alt <Daisy; rottweiler>
		look msg <It's your uncle's fierce rottweiler. You think it's called Daisy.>
		take msg <I don't think you can get close enough to pick him up. He'd probably eat you.>
		speak say <WOOF!>
		examine msg <You can't get close enough to the dog to examine it! It'd rip your face off!>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use <Shotgun> msg <That's cruelty to animals! You can't do that!>
		use <Fire ax> msg <That's cruelty to animals! You can't do that!>
		use <Half loaded shotgun> msg <That's cruelty to animals! You can't do that!>
		use anything msg <You can't do anything to the dog with that - nothing wholesome anyway...>
		give <Bone> {
			msg <You toss the meaty bone to the dog. Hungrily the dog growls and begins devouring the bone.>
			hide <Bone>
			hide <Dog>
			show <Dog2>
			show <Kennel3>
			hide <Kennel2>
		}
	end define

	define object <Dog2>
		alias <Dog>
		alt <Daisy; rottweiler>
		look msg <It's your uncle's fierce rottweiler. It's very much engaged in chewing it's bone.>
		speak say <It's too busy with the bone to pay you any attention.>
		examine msg <The name tag says 'Daisy'. It's probably best not to get too close.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use <Fire ax> msg <While hacking a dog to pieces may be your idea of fun, everybody else thinks you're weird.>
		use <Shotgun> msg <You can't shoot the dog! It's cruel! Besides, it's not hurting you!>
		use <Half loaded shotgun> msg <You can't shoot the dog! It's cruel! Besides, it's not hurting you!>
		use anything msg <You can't do anything to the dog with that - nothing wholesome anyway...>
		give <Bone> {
			msg <You toss the meaty bone to the dog. Hungrily the dog growls and begins devouring the bone.>
			hide <Bone>
		}
	end define

	define object <Kennel3>
		alias <Kennel>
		look msg <It's a dog kennel. The dog is busy with his bone now.>
		take msg <Yes, it's still nailed down.>
		speak msg <It's made of wood. It doesn't have a mouth. Nevertheless, you seem to think conversation is a viable option here.>
		examine {
			msg <You look inside the dog kennel. There's a key inside.>
			choose <Kennel Menu>
		}
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <That wouldn't do any good.>
	end define

	define object <Office Key>
		alias <Office Key>
		alt <key>
		look msg <It's a gold key. It's got a label that says 'Second Floor Office' on it. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You took the key.>
			give <Office Key>
		}
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <an>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <You can't unlock that with this key.>
	end define

	define object <Kennel4>
		alias <Kennel>
		look msg <It's a dog kennel. The dog is busy with his bone now.>
		take msg <Yes, it's still nailed down.>
		speak msg <It's made of wood. It doesn't have a mouth. Nevertheless, you seem to think conversation is a viable option here.>
		examine msg <You look inside the dog kennel. There's nothing else inside.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <That won't do anything!>
	end define

end define

define room <Courtyard North-east>
	alias <Courtyard>
	look <This is the north-east part of the courtyard. A swimming pool is here. It continues east inside the house, for when it's too cold to swim outside.|n|nYou can go SOUTH, SOUTHWEST or WEST to go to other parts of the courtyard.|nNORTH will take you to a sheltered walkway running along the northern edge of the courtyard.>
	indescription <You are in the north-east part of the:>
	north <Sheltered Walk East>
	south <Courtyard South-east>
	west <Courtyard North-west>
	southwest <Courtyard South-west>

	define object <Swimming Pool>
		alias <Swimming Pool>
		alt <pool>
		look msg <It's full of water. A few leaves are floating on the surface.>
		take msg <You've always fancied having your own swimming pool. But that is not the preferred method of installation.>
		speak msg <You have a lengthy debate with the swimming pool before it degenerates into arguing. Or, to put it more simply, it can't talk, fool!>
		examine msg <It looks too cold to swim in.>
		prefix <the>
		article <it>
		gender <it>
		use anything msg <Throwing that in the pool would be a bit pointless, don't you think?>
	end define

end define

define room <Courtyard North-west>
	alias <Courtyard>
	look <This is the north-west garden part of the courtyard. Many flowers are blooming here and there is a winding gravel path.|n|nNORTH will take you under a sheltered walkway.|nSOUTH, SOUTHEAST or EAST will take you to other parts of the courtyard.|nWEST is a glass-panelled door.>
	indescription <You are in the north-west part of the:>
	north <Sheltered Walk West>
	south <Courtyard South-west>
	east <Courtyard North-east>
	west msg <The glass-panelled door is locked. Maybe it can be broken down, or perhaps there's a key somewhere.>
	southeast <Courtyard South-east>
	use <Fire ax> {
		msg <You smash in the glass-panelled door to the west.>
		create exit west <Courtyard North-west; Corridor west of Courtyard east>
		create exit east <Corridor west of Courtyard east; Courtyard North-west>
	}

	define object <Broken key2>
		alias <Key Head>
		alt <Half; Broken half; broken key>
		look msg <It's the business end of a key, but the handle has broken off. You can't unlock anything with this.>
		take {
			msg <You pick up the broken key part.>
			give <Broken key2>
		}
		speak msg <Unsurprisingly, it doesn't say much.>
		examine msg <It's a clean break, maybe you could repair this if you could find the other half.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use on anything msg <You can't unlock anything with that key - it's broken.>
	end define

end define

define room <Dining Hall West>
	alias <Dining Hall>
	look <You are at the western end of a long dining hall. Crystal chandeliers hang from the ceiling above the long wood table that occupies most of the room.|n|nYou can go EAST to the other end of the dining hall.|nA door lies to the WEST.|nA set of double doors is NORTH of here.>
	indescription <You are standing in the:>
	north <Kitchen>
	east <Dining Hall East>
	west <Entrance Hall East>

	define object <Table>
		alias <Table>
		look msg <It's a dining table.>
		take msg <It's a little too awkward to just slip into your pocket.>
		speak msg <The table starts bitching about woodworm until you tell it to shut up.>
		examine msg <There doesn't seem to be anything special.>
		prefix <a>
		article <it>
		gender <it>
		use msg <There doesn't seem to be anything worth doing with the table.>
		use anything msg <You could put that on the table... but what would be the point?>
	end define

	define object <Table2>
		alias <Table>
		look msg <It's a dining table.>
		take msg <It's a little too awkward to just slip into your pocket.>
		speak msg <No, it doesn't talk!>
		examine {
			msg <The painting of the Dining Hall in the gallery showed a carving on the floor where the table is now. It's dark under the table. Perhaps you could move the table to see what's underneath.>
			choose <Dining Room Table>
		}
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <There's no point putting that on the table.>
		use
	end define

	define object <Mysterious Carving>
		alias <Mysterious Carving>
		alt <Carving; carving; mysterious carving; Mysterious carving>
		look msg <Pushing the table aside has revealed the carving that you saw in the painting. It depicts a bull's head.>
		take msg <It's part of the floor. Not going anywhere...>
		speak msg <You know, for someone who likes adventure games, you sure lack brains.>
		examine msg <The carving of the bull's head is quite shallow, except for the horns, where the carving is deep and rounded, as if you could fit some real horns in the holes.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You can't do anything with it.>
		use <Ivory Horn> {
			msg <The ivory horn slots neatly into one of the hollows in the bull's head.>
			hide <Mysterious Carving>
			hide <Ivory Horn>
			show <Mysterious Carving Ivory>
		}
		use <Ebony Horn> {
			msg <You slot the ebony horn into one of the hollows on the mysterious carving. It fits perfectly.>
			hide <Mysterious Carving>
			hide <Ebony Horn>
			show <Mysterious Carving Ebony>
		}
		use anything msg <That won't fit into either of the hollows in the carving.>
	end define

	define object <Mysterious Carving Ebony>
		alias <Mysterious Carving>
		alt <Carving; carving; mysterious carving; Mysterious carving>
		look msg <Pushing the table aside has revealed the carving that you saw in the painting. It depicts a bull's head.>
		take msg <The horn fits perfectly. You can't take it out again.>
		speak msg <You know, for someone who likes adventure games, you sure lack brains.>
		examine msg <The carving of the bull's head is quite shallow, except for the horns, where the carving is deep and rounded, as if you could fit some real horns in the holes. An ebony horn is fitted into one of the hollows.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You can't do anything with it.>
		use <Ivory Horn> {
			msg <You slot the ivory horn neatly into the other horn hollow. It fits neatly. There is a loud click, and the carving on the floor turns on a previously unseen turntable until it faces the drawing room doors to the east. The drawing room doors swing open.>
			hide <Ivory Horn>
			hide <Mysterious Carving Ebony>
			show <Mysterious Carving Both>
			create exit east <Dining Hall East; Drawing Room South>
		}
		use anything msg <That won't fit into the remaining hollow.>
	end define

	define object <Mysterious Carving Ivory>
		alias <Mysterious Carving>
		alt <Carving; carving; mysterious carving; Mysterious carving>
		look msg <Pushing the table aside has revealed the carving that you saw in the painting. It depicts a bull's head.>
		take msg <The horn fits perfectly. You can't take it out again.>
		speak msg <You know, for someone who likes adventure games, you sure lack brains.>
		examine msg <The carving of the bull's head is quite shallow, except for the horns, where the carving is deep and rounded, as if you could fit some real horns in the holes. There is an ivory horn fitted into one of the hollows.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You can't do anything with it.>
		use <Ebony Horn> {
			msg <You slot the ebony horn neatly into the other horn hollow. It fits neatly. There is a loud click, and the carving on the floor turns on a previously unseen turntable until it faces the drawing room doors to the east. The drawing room doors swing open.>
			hide <Ebony Horn>
			hide <Mysterious Carving Ivory>
			show <Mysterious Carving Both>
			create exit east <Dining Hall East; Drawing Room South>
		}
		use anything msg <That won't fit into the remaining hollow.>
	end define

	define object <Mysterious Carving Both>
		alias <Mysterious Carving>
		alt <Carving; carving; mysterious carving; Mysterious carving>
		look msg <Pushing the table aside has revealed the carving that you saw in the painting. It depicts a bull's head.>
		take msg <You can't take either horn - they're locked in place.>
		speak msg <You know, for someone who likes adventure games, you sure lack brains.>
		examine msg <The carving of the bull's head is quite shallow, except for the horns, where the carving is deep and rounded, as if you could fit some real horns in the holes. Ivory and ebony horns are fitted into the horn hollows.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You can't do anything with it.>
		use anything msg <You can't do anything to it. It's already unlocked the door.>
	end define

	define object <Table3>
		alias <Table>
		look msg <It's a dining table.>
		take msg <It's a little too awkward to just slip into your pocket.>
		speak msg <Leave the poor table alone!>
		examine msg <You've moved the table to the side of the room.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <Why would you want to put that on the table?>
		use
	end define

end define

define room <Dining Hall East>
	alias <Dining Hall>
	look <You are standing at the eastern end of the mansion's dining hall. This appears to be where your uncle kept his alcohol, as there is a large cabinet against the north wall. |n|nA door leads EAST.|nWEST will take you to the other end of the dining hall.>
	east msg <The door is locked. There is no keyhole. The word 'Taurus' is carved into the door.>
	west <Dining Hall West>

	define object <Drinks cabinet>
		alias <Drinks Cabinet>
		alt <Cabinet; cabinet; Drinks cabinet; drinks cabinet>
		look msg <It's got doors at the bottom. Wine glasses are stacked on the shelves, and bottles of spirits are kept at the sides.>
		take msg <It's a bit heavy for that.>
		speak msg <This is the real world, let's stick to sensible things shall we?>
		examine {
			msg <The cabinet doors are shut.>
			choose <Drinks Cabinet Doors Menu>
		}
		prefix <the>
		article <it>
		gender <it>
		use {
			msg <You open the cabinet doors.>
			hide <Drinks cabinet>
			show <Drinks cabinet2>
		}
		use anything msg <What's the point?>
	end define

	define object <Drinks cabinet2>
		alias <Drinks Cabinet>
		alt <Cabinet; cabinet; Drinks cabinet; drinks cabinet>
		look msg <It's got doors at the bottom. Wine glasses are stacked on the shelves, and bottles of spirits are kept at the sides.>
		take msg <It's too heavy to lift.>
		speak msg <Just stop being stupid.>
		examine {
			msg <You've opened the cabinet doors and can see inside. There's something inside, but you can't make it out.>
			choose <Drinks Cabinet Menu>
		}
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <What's the point?>
		use
	end define

	define object <Bottle>
		alias <Bottle>
		alt <bottle>
		look msg <It's a bottle. It has no label, and contains an unidentified clear liquid.>
		take
		speak msg <It isn't talking back, funnily enough.>
		examine msg <You sniff the liquid inside the bottle. The smell is extremely pungent and burns your nostrils. It seems that this is a highly concentrated acid.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <I wouldn't drink that if I were you...>
		use <Concrete Block> msg <The concrete would melt in the acid and leave the key behind. But it won't fit in the bottle.>
		use anything msg <That'd melt in the acid, but you should probably hang onto it.>
		drop nowhere <Dropping that bottle might not be such a good idea. The liquid could be dangerous.>
	end define

	define object <Drinks cabinet3>
		alias <Drinks Cabinet>
		alt <Cabinet; cabinet; Drinks cabinet; drinks cabinet>
		look msg <It's got doors at the bottom. Wine glasses are stacked on the shelves, and bottles of spirits are kept at the sides.>
		take msg <It's too heavy to lift.>
		speak msg <Just stop being stupid.>
		examine msg <You've opened the cabinet doors and can see inside. There's nothing else in there.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <What's the point?>
		use
	end define

end define

define room <Drawing Room South>
	alias <Drawing Room>
	look <This is an elegant drawing room. It is warm and cosy. The embers of a fire crackle gently in the fireplace, and comfortable armchairs beckon to you.|n|nYou can go WEST through a door with a bull's head carved on it.|nThe drawing room continues NORTH.>
	indescription <You are at the south end of the:>
	north <Drawing Room North>
	west <Dining Hall East>

	define object <Grandfather Clock>
		alias <Grandfather Clock>
		alt <Clock; clock>
		look {
			msg <It's an old-fashioned grandfather clock. The hands are stopped. The glass is missing from the clock face and you can move the hands.>
			choose <Clock First Menu>
		}
		speak msg <Speak to clocks often, eh?>
		examine msg <It looks very old. Curiously, it's actually built into the wall, rather than standing free.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <That won't do anything worthwhile to the clock.>
	end define

	define object <Shotgun>
		alias <Shotgun>
		alt <shotgun; Gun; gun>
		look msg <It's a Locke & Lowde brand double-barrelled shotgun. No ammunition is loaded.>
		take
		speak msg <You mutter sweet nothings to your gun and stroke it gently.>
		examine msg <On closer inspection, you see that the gun's serial number has been sanded off...>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <It's not loaded.>
		use anything msg <You can't load that into the shotgun!>
		use on anything msg <You can't shoot that - there's no ammunition in the gun.>
	end define

	define object <Wooden Panel>
		alias <Wooden Panel>
		alt <Panel; panel>
		look msg <There's a solid wooden panel set into the wall next to the grandfather clock. It seems like it could open, but if so, it's firmly locked now.>
		speak msg <Wooden panels can't talk.>
		examine msg <There's no marking on it. Maybe there's some connection to the grandfather clock sitting next to it.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <You can't use that on the wooden panel.>
	end define

	define object <Wooden Panel2>
		alias <Wooden Panel>
		alt <Panel; panel>
		look msg <There's a solid wooden panel set into the wall next to the grandfather clock. When the clock hands were set right, the panel opened, revealing a secret area in the wall space.>
		speak msg <The dark wallspace doesn't talk back.>
		examine {
			msg <There's something inside the wall space behind the wooden panel. It's too dark to see it properly.>
			choose <Shotgun Take Menu>
		}
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't use that on the wooden panel.>
	end define

	define object <Grandfather Clock2>
		alias <Grandfather Clock>
		alt <Clock; clock>
		look {
			msg <It's an old-fashioned grandfather clock. The hands are stopped. The glass is missing from the clock face and you can move the hands. The big hand has locked at the number three.>
			choose <Clock Second Menu>
		}
		speak msg <Speak to clocks often, eh?>
		examine msg <It looks very old. Curiously, it's actually built into the wall, rather than standing free.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <That won't do anything worthwhile to the clock.>
	end define

	define object <Grandfather Clock3>
		alias <Grandfather Clock>
		alt <Clock; clock>
		look {
			msg <It's an old-fashioned grandfather clock. The hands are stopped. The glass is missing from the clock face and you can move the hands. The small hand has locked at the number nine.>
			choose <Clock Third Menu>
		}
		speak msg <Speak to clocks often, eh?>
		examine msg <It looks very old. Curiously, it's actually built into the wall, rather than standing free.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <That won't do anything worthwhile to the clock.>
	end define

	define object <Grandfather Clock4>
		alias <Grandfather Clock>
		alt <Clock; clock>
		look msg <It's an old-fashioned grandfather clock. The hands are stopped. The glass is missing from the clock face. The hands are locked in place - the small hand at 9 and the big hand at 7.>
		speak msg <Speak to clocks often, eh?>
		examine msg <It looks very old. Curiously, it's actually built into the wall, rather than standing free.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <That won't do anything worthwhile to the clock.>
	end define

	define object <Letter>
		alias <Letter>
		look msg <It's a letter, written in your uncle's handwriting.>
		take {
			msg <You pick up the letter.>
			give <Letter>
		}
		speak msg <It's got writing on it, yes, but it can't actually talk.>
		examine {
			say <Dear Edith,|n|nI regret to inform you that I will be unable to attend your gala dinner on Thursday 23rd September as I have made prior engagements.>
			msg <The letter is left half finished. Your uncle has scribbled underneath it.>
			say <Rewrite - too formal + need better excuse. My research is just too important. Besides, the corporation would interrogate me if I went out anywhere. Bastards.>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <You can read it by examining it.>
		use anything msg <That won't do anything to the letter.>
		use on anything msg <It's just a letter. How will that help?>
	end define

	define object <Wooden Panel3>
		alias <Wooden Panel>
		alt <Panel; panel>
		look msg <There's a solid wooden panel set into the wall next to the grandfather clock. When the clock hands were set right, the panel opened, revealing a secret area in the wall space.>
		speak msg <The dark wallspace doesn't talk back.>
		examine msg <There's nothing else inside the wall space behind the wooden panel.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't use that on the wooden panel.>
	end define

end define

define room <Drawing Room North>
	alias <Drawing Room>
	look <This is a cozy, warm drawing room. The room is warmer at the north end where the fire is.|n|nYou can go SOUTH to the other end of the drawing room.|nA door leads NORTH.>
	indescription <You are at the north end of the:>
	north msg <You try the door to the north. It seems to be locked.>
	south <Drawing Room South>

	define object <Art Gallery Painting>
		alias <Art Gallery Painting>
		alt <Painting; painting>
		look msg <It's a painting of the art gallery of this mansion. Is this some post-modern expressionism or something more?>
		take {
			msg <You take the painting of the art gallery.>
			give <Art Gallery Painting>
			show <Empty Frame2>
		}
		speak msg <It's not even like it's a portrait...>
		examine msg <It is easily removable from the frame. The very edge of the painting has been clipped with a piece of metal at the top.>
		use msg <What do you want to do with it?>
		use <Fire ax> msg <Hey! That's art! Leave it alone you vandal!>
		use anything msg <Leave the picture alone!>
		use on anything msg <You can't hang it up on that.>
	end define

	define object <Empty Frame2>
		alias <Empty Frame>
		alt <empty frame; Empty frame; Frame; frame>
		look msg <This is the frame that you removed the art gallery picture from.>
		speak msg <It doesn't speak back.>
		examine msg <Looking closely, you can see two tiny switches inside the frame.>
		prefix <an>
		article <it>
		gender <it>
		hidden
		use <Art Gallery Painting> {
			msg <You slide the painting of the art gallery back into it's frame.>
			lose <Art Gallery Painting>
			hide <Empty Frame2>
		}
		use <Drawing Room Painting> {
			msg <You slide the dining room painting into the empty frame above the fireplace. There is a click as it slots perfectly into place, and a key falls out of a tiny slot in the ceiling and lands on the floor.>
			hide <Empty Frame2>
			hide <Drawing Room Painting>
			show <Drawing Room Painting2>
			show <Key 004>
		}
		use anything msg <You can't frame that!>
	end define

	define object <Drawing Room Painting2>
		alias <Dining Room Painting>
		alt <Painting; dining room painting; Dining room painting; Dining Room painting; room painting; Room painting; Room Painting; Picture; painting; picture>
		look msg <It's a painting of the dining hall of this mansion. It is easily removable from the frame.>
		take {
			msg <You carefully remove the painting from the frame on the wall and roll it up.>
			show <Drawing Room Painting>
			give <Drawing Room Painting>
			show <Empty Frame2>
			hide <Drawing Room Painting2>
		}
		speak msg <It's not even like it's a portrait...>
		examine {
			msg <Upon closer inspection of the painting, you notice that there's a strange carving in the floor of the dining hall, where the table should be.|nThe very edge of the painting has been clipped with two pieces of metal, one at the top, one at the bottom.>
			hide <Table>
			show <Table2>
		}
		hidden
		use <Fire ax> msg <Hey! That's art! Leave it alone you vandal!>
		use anything msg <Leave the art alone!>
	end define

	define object <Key 004>
		alias <Key 004>
		alt <Room 4 key; Key 4; room 4 key; key 4; key 04; Key 04; Key 004; key 004>
		look msg <It's a gold key with '004' carved into the end. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You pick up the key.>
			give <Key 004>
		}
		gain msg <You got Key 004.>
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <You can't unlock that with the key.>
	end define

end define

define room <Kitchen>
	alias <Kitchen>
	look <This is the kitchen. It is quite empty. There's little modern technology here, only an old fridge and a gas stove.|n|nThere is a door to the EAST.|nA set of double doors leads SOUTH.>
	indescription <You are in the:>
	south <Dining Hall West>
	east <Pantry>

	define object <Sink>
		alias <Sink>
		alt <sink>
		look msg <It's a simple sink. It looks like it's made from some kind of stone.>
		take msg <While you're at it, you put the ceiling in your bag.>
		speak msg <The sink gurgles slightly.>
		examine {
			msg <There's a label just above the overflow pipe:>
			say <J. Bloggs and Son Acid-resistant appliances>
		}
		prefix <the>
		article <it>
		gender <it>
		use <Bottle> {
			msg <You put the plug in and pour the contents of the bottle into the sink. There is a slight hiss, and a dreadful stench.>
			hide <Sink>
			hide <Bottle>
			show <Empty Bottle>
			give <Empty Bottle>
			show <Acid Sink>
		}
		use anything msg <There's no point putting that in the sink.>
	end define

	define object <Empty Bottle>
		alias <Empty Bottle>
		alt <empty bottle; Empty bottle; Bottle; bottle>
		look msg <The bottle is now empty.>
		take
		speak msg <Inanimate object, remember?>
		examine msg <It still smells faintly of acid, but it should be safe to keep things in this - as long as you don't drink from it.>
		prefix <an>
		article <it>
		gender <it>
		hidden
		use msg <What, you want to spit in it or something?>
		use anything msg <You can't put that in the bottle.>
		use on anything msg <You can't put that in the bottle.>
	end define

	define object <Acid Sink>
		alias <Sink>
		alt <sink>
		look msg <It's a sink made out of some sort of stone. It's full of the liquid from the bottle, which you suspect to be concentrated acid.>
		speak msg <The sink hisses slightly back.>
		examine msg <This acid looks potent enough to melt just about anything except pure gold.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Concrete Block> {
			msg <You drop the concrete block in the sink full of acid. The acid hisses and eats away at the concrete in a flurry of activity. Soon all that is left is a pure gold key. >
			hide <Concrete Block>
			show <Key 001 in acid>
		}
		use anything msg <Dipping that in the acid would achieve nothing.>
	end define

	define object <Key 001>
		alias <Key 001>
		alt <Room 1 key; Key 1; room 1 key; key 1; key 01; Key 01; Key 001; key 001>
		look msg <It's a gold key with '001' carved into the end. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You took the key.>
			give <Key 001>
		}
		gain msg <You got Key 001.>
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <The key won't unlock that.>
	end define

	define object <Key 001 in acid>
		alias <Gold Key>
		alt <gold key; Gold key; Key; key>
		look msg <It's a gold key, sitting at the bottom of a sink full of acid.>
		take {
			msg <You could take the key... if you didn't value the flesh of your hand. The sink is still full of acid.>
			choose <Acid Sink Menu>
		}
		examine msg <You can just make the number 001 written on the key.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't reach the key - it's at the bottom of a sink full of acid!>
	end define

	define object <Fridge>
		alias <Fridge>
		look msg <It's an ordinary white fridge.>
		take msg <Hey, you're not that hungry.>
		speak msg <You look in the fridge and organise an icebreaker session between the cheese and the eggs.>
		examine msg <There's nothing special about it.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <There's no point putting that in the fridge.>
	end define

	define object <Sink2>
		alias <Sink>
		alt <sink>
		look msg <It's a simple sink. It looks like it's made from some kind of stone.>
		take msg <While you're at it, you put the ceiling in your bag.>
		speak msg <The sink gurgles slightly.>
		examine {
			msg <There's a label just above the overflow pipe:>
			say <J. Bloggs and Son Acid-resistant appliances>
		}
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <There's no point putting that in the sink.>
	end define

end define

define room <Pantry>
	alias <Pantry>
	look <This small room holds all kinds of dry foods.|n|nThe way back to the kitchen is WEST.>
	indescription <You have entered the:>
	west <Kitchen>

	define object <Sack of Potatoes>
		alias <Sack of Potatoes>
		alt <Sack; sack; Potatoes; potatoes>
		look msg <This must have been the sack of potatoes your uncle mentioned. Wonder what's inside.>
		take msg <It's a bit too heavy to cart around.>
		speak msg <It says 'Potatoes'. On the side, that is.>
		examine {
			msg <Peering inside, you see some mouldy potatoes. Something is glinting beneath them.>
			choose <Potato Sack Menu>
		}
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <There's no point putting that in with the potatoes.>
	end define

	define object <Star Pendant>
		alias <Star Pendant>
		alt <Star; Pendant; star; pendant; star pendant; Star pendant>
		look msg <It's star-shaped and golden.>
		take
		speak msg <You really are quite stupid sometimes.>
		examine msg <There's a ruby set into the centre. There's nothing else of note.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's nothing you can do with it on it's own.>
		use anything msg <That doesn't seem to work.>
		use on anything msg <The pendant doesn't do anything to that.>
	end define

	define object <Sack of Potatoes2>
		alias <Sack of Potatoes>
		alt <Sack; sack; Potatoes; potatoes>
		look msg <This is the sack of potatoes your uncle mentioned.>
		take msg <It's a bit too heavy to cart around.>
		speak msg <It says 'Potatoes'. On the side, that is.>
		examine msg <Peering inside, you see some mouldy potatoes.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Star Pendant> msg <Putting the pendant back would be pointless.>
		use anything msg <There's no point putting that in with the potatoes.>
	end define

end define

define room <Swimming Pool East>
	alias <Swimming Pool Hall>
	look <This is the eastern end of the swimming pool hall. The pool has reached it's end here and there are seats overlooking it. A jaccuzi sits in one corner. Some pipes come out of the floor in one corner and continues up into the ceiling.|n|nThere is a door to the EAST.|nAnother door leads SOUTH.|nThe hall continues WEST.>
	indescription <You are at the eastern end of the:>
	south msg <The door to the south is well and truly locked. Perhaps the button next to it will unlock it.>
	east <Changing Room>
	west <Swimming Pool Middle>

	define object <Button_swim>
		alias <Button>
		look {
			msg <It's a small red button set into the wall next to the door leading south.>
			choose <Swim button>
		}
		take msg <Oh sure, just rip it out the wall!>
		speak msg <The button cannot speak.>
		examine msg <There's nothing special about the button.>
		use anything msg <You could use that to push the button, but it'd be kind of pointless. Try looking at it.>
	end define

	define object <Jaccuzi>
		alias <Jacuzzi>
		alt <jaccuzi; jaccuzzi; jacuzi>
		look msg <It's looks like it could fit about four people at a time.>
		take msg <A little bit heavy for you.>
		examine msg <There doesn't seem to be anything unusual here.>
		use anything msg <There's no point putting that in the jacuzzi.>
	end define

	define object <Jaccuzi2>
		alias <Jacuzzi>
		alt <jaccuzi; jaccuzzi; jacuzi>
		look msg <It's looks like it could fit about four people at a time. Your uncle mentioned this jaccuzi in his diary.>
		take msg <A little bit heavy for you.>
		examine {
			msg <Upon close inspection, you find a lever wedged down the plug hole.>
			choose <Lever get menu>
		}
		hidden
		use anything msg <There's no point putting that in the jacuzzi.>
	end define

	define object <Lever>
		alias <Lever>
		look msg <It's a simple metal lever. It looks like it fit into something.>
		take
		examine msg <There's a small engraving on the bottom. It looks like the number 3.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <It's useless on it's own. Perhaps there's a slot to attach it to.>
		use anything msg <What good will that do?>
		use on anything msg <You can't do anything to that with the lever.>
	end define

	define object <Button_swim2>
		alias <Button>
		look msg <It's a small red button set into the wall next to the door leading south.>
		take msg <Oh sure, just rip it out the wall!>
		speak msg <The button cannot speak.>
		examine msg <There's nothing special about the button.>
		hidden
		use anything msg <It's already been pushed; that would be pointless.>
	end define

end define

define room <Swimming Pool Middle>
	alias <Swimming Pool Hall>
	look <This is the hall that contains the swimming pool.|n|nThe room continues EAST and WEST.>
	indescription <You are in the middle of the:>
	east <Swimming Pool East>
	west <Swimming Pool West>

	define object <Swimming Pool2>
		alias <Swimming Pool>
		alt <pool>
		look msg <It's full of water. It ends here.>
		take msg <You've always fancied having your own swimming pool. But that is not the preferred method of installation.>
		speak msg <You have a lengthy debate with the swimming pool before it degenerates into arguing. Or, to put it more simply, it can't talk, fool!>
		examine msg <You never did like swimming much. There seems no reason to start now.>
		prefix <the>
		article <it>
		gender <it>
		use anything msg <There's no point putting that in the pool.>
	end define

end define

define room <Swimming Pool West>
	alias <Swimming Pool Hall>
	look <This long room houses a large swimming pool. A squeaky wet tiled floor leads around the edge of the pool. The pool continues through the western wall. You can see it leads outside.|n|nYou can go EAST further along the edge of the swimming pool.|nA door leads NORTH.>
	indescription <You are at the west end of the:>
	north <Corridor north of swimming pool West>
	east <Swimming Pool Middle>

	define object <Swimming Pool3>
		alias <Swimming Pool>
		alt <pool>
		look msg <It's full of water.>
		take msg <You've always fancied having your own swimming pool. But that is not the preferred method of installation.>
		speak msg <You have a lengthy debate with the swimming pool before it degenerates into arguing. Or, to put it more simply, it can't talk, fool!>
		examine msg <You never did like swimming much. There seems no reason to start now.>
		prefix <the>
		article <it>
		gender <it>
		use anything msg <There's no point putting that in the pool.>
	end define

end define

define room <Changing Room>
	alias <Changing Room>
	look <This room is where you can get changed for swimming in the pool. Some lockers line the walls.|n|nThere is a door to the WEST.>
	indescription <You are in the:>
	west <Swimming Pool East>

	define object <Damp Note>
		alias <Damp Note>
		alt <Note>
		look msg <It's a soaking wet piece of paper. Looks like your uncle's written on it.>
		take {
			msg <You pick up the sodden piece of paper.>
			give <Damp Note>
		}
		speak msg <It can't talk.>
		examine {
			msg <It's barely readable because the water has made the ink run.>
			say <I'l  hi e it in the at ic. They w n't tr  an  l ok ther . The pas w rd  is AR  HN D. Mus reme ber  th t.>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <It's not getting any drier. You might be able to read it.>
		use <Blowtorch> msg <That'd dry the note, but is it really worth the fire hazard?>
		use anything msg <That won't do anything to the note.>
		use on anything msg <That makes no sense.>
	end define

end define

define room <Hall North-east of Swimming Pool>
	alias <Basement Stairs>
	look <The floor of this room is a set of wooden steps leading down.|n|nThe steps lead EAST to the bottom where there is a door.|nThere is a door to the WEST.>
	indescription <You are on the:>
	east <Basement Hallway North>
	west <Corridor north of swimming pool east>
end define

define room <Corridor north of swimming pool West>
	alias <Corridor>
	look <This corridor has tiles on the floor. Towels hang on a rail on the wall.|n|nA door leads SOUTH.|nA glass-panelled door leads WEST.|nThe corridor continues EAST.>
	indescription <You are at the western end of a long:>
	south msg <The door to the south is locked. |nA picture of a key broken in half is engraved on the door.>
	east <Corridor north of swimming pool middle>
	west <Sheltered Walk East>
	use <Mended Key> {
		msg <You use the key that you mended in the keyhole of the door to the south. It fits perfectly and the door unlocks.>
		create exit south <Corridor north of swimming pool West; Swimming Pool West>
		hide <Mended Key>
	}
end define

define room <Corridor north of swimming pool middle>
	alias <Corridor>
	look <This corridor stretches east and west.|n|nYou can go WEST or EAST down the corridor.|nA door leads NORTH.>
	indescription <You are in the middle of a long:>
	north <Ballroom West>
	east <Corridor north of swimming pool east>
	west <Corridor north of swimming pool West>
end define

define room <Corridor north of swimming pool east>
	alias <Corridor>
	look <This corridor stretches out to the west.|n|nA door lies EAST.|nAnother door is to the NORTH.|nThe corridor continues WEST.>
	indescription <You are at the east end of a long:>
	north <Ballroom East>
	east msg <This door appears to be locked. An emerald is set into the panel of the door.>
	west <Corridor north of swimming pool middle>
	use <basement key> {
		msg <You use the jewelled key in the lock of the door to the east. It fits and the door unlocks.>
		create exit east <Corridor north of swimming pool east; Hall North-east of Swimming Pool>
		hide <basement key>
	}
end define

define room <Ballroom West>
	alias <Ballroom>
	look <This is an elegant ballroom. A huge chandelier hangs from the high ceiling and a marble floor stretches from wall to wall. The windows are framed with luxurious curtains. A small window is visible high in the western wall.|n|nThe ballroom continues EAST.|nA door leads SOUTH.>
	indescription <You are in the:>
	south <Corridor north of swimming pool middle>
	east <Ballroom East>

	define object <Metal Plinth>
		alias <Metal Plinth>
		alt <plinth>
		look msg <A low metal plinth. A musical note is engraved on the top, and there's a narrow round hole in the top.>
		speak msg <Look, just because there aren't any people around here doesn't mean you should start conversing with random objects!>
		examine msg <There's some writing on the plinth:|n|n'Rewards will be plentiful to he who shatters the pillar of glass to the sound of sweet music'>
		prefix <a>
		article <it>
		gender <it>
		use <Gold Flute> {
			msg <You slot the gold flute into the narrow hole. It fits and the metal plinth rumbles slightly, then starts playing the flute! Must be some kind of machinery inside the plinth. Suddenly, a glass pillar rumbles out of a hole in the ceiling and hangs suspended in the air far above your head.>
			hide <Metal Plinth>
			show <Metal Plinth2>
			show <Glass Pillar>
		}
		use anything msg <That doesn't fit into the hole in the top of the plinth.>
	end define

	define object <Metal Plinth2>
		alias <Metal Plinth>
		alt <plinth>
		look msg <A low metal plinth. A musical note is engraved on the top, and there's a flute sticking out of it. Music is emanating from inside.>
		take msg <The flute's not going anywhere.>
		speak msg <Look, just because there aren't any people around here doesn't mean you should start conversing with random objects!>
		examine msg <There's some writing on the plinth:|n|n'Rewards will be plentiful to he who shatters the pillar of glass to the sound of sweet music'>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't do anything to the plinth.>
	end define

	define object <Glass Pillar>
		alias <Glass Pillar>
		alt <glass; pillar>
		look msg <A glass pillar, hanging precariously from a support in the ceiling.>
		take msg <It's too far above your head to touch.>
		speak msg <Nope, I can't hear it replying.>
		examine msg <It looks fragile. Upon close inspection, it looks like there's something set into the glass pillar.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Fire ax> msg <The ax would smash the pillar, but it's far above your head. Perhaps you need another weapon.>
		use <Loaded Shotgun> {
			msg <You take aim and fire the shotgun. The noise is tremendous. The glass pillar shatters resoundingly and small piece of glass fly everywhere. You shield your face from the chaos until all the glass has landed. In the wreckage is a key.>
			hide <Glass Pillar>
			hide <Loaded Shotgun>
			show <Half loaded shotgun>
			give <Half loaded shotgun>
			show <basement key>
			show <Glass>
		}
		use anything msg <The pillar's too high up to use that on it.>
	end define

	define object <Half loaded shotgun>
		alias <Shotgun>
		alt <shotgun; Gun; gun>
		look msg <It's a Locke & Lowde brand double-barrelled shotgun. One shotgun shell is loaded.>
		take
		speak msg <You whisper sweet nothings to your gun and stroke it gently.>
		examine msg <On closer inspection, you see that the gun's serial number has been sanded off...>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You've only got one shot left. Why waste it?>
		use anything msg <You can't use that to reload the shotgun!>
		use on anything msg <You've only got one shot left. You'd better make it count.>
	end define

	define object <Glass>
		alias <Glass>
		alt <glass; pillar>
		look msg <A pile of broken glass.>
		take msg <I wouldn't do that - you might cut your hand.>
		speak msg <The broken glass can't talk.>
		examine msg <Better not inspect this too closely - you don't want to cut yourself.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <What do you think that's going to achieve?>
	end define

	define object <basement key>
		alias <Jewelled Key>
		alt <key>
		look msg <It's a gold key with a sparkling emerald set into the handle. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You took the key.>
			give <basement key>
		}
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <You can't unlock that with this key.>
	end define

end define

define room <Ballroom East>
	alias <Ballroom>
	look <This is the eastern end of a luxurious ball room. Plush chairs line the walls here and a detailed painting of a river scene looks out over the room.|n|nThe ballroom continues WEST.|nA door leads SOUTH.>
	indescription <You are in the:>
	south <Corridor north of swimming pool east>
	west <Ballroom West>
end define

define room <Greenhouse East>
	alias <Greenhouse>
	look <This end of the greenhouse is also very hot. More plants are growing here.|n|nThe other end of the greenhouse lies to the WEST.>
	indescription <You are at the eastern end of the:>
	west <Greenhouse West>

	define object <Gardening Book>
		alias <Gardening Book>
		alt <book>
		look msg <'A Dictionary of Flowers' by A. Gardener>
		take {
			msg <You pick up the book.>
			give <Gardening Book>
		}
		speak msg <It's not an audio book.>
		examine {
			msg <It's quite a boring book about flowers. Your uncle has written on one of the early pages:>
			say <This plant seems to be the strongest. I must use it in my next test. The poison is most powerful.>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <You can't do anything special with it.>
		use anything msg <What will that achieve?>
		use on anything msg <The book has no use here.>
	end define

end define

define room <Greenhouse West>
	alias <Greenhouse>
	look <It's stiflingly warm in here. Many tropical plants are thriving here under the constant attention of a multitude of heat lamps.|n|nA door leads SOUTH.|nYou can go EAST to the other end of the greenhouse.>
	indescription <This is the west side of the:>
	south <Sheltered Walk East>
	east <Greenhouse East>
end define

define room <Sheltered Walk West>
	alias <Sheltered Walkway>
	look <This wooden boardwalk runs from west to east along the northern wall of the courtyard. The balcony above shelters this area from the rain.|n|nThe sheltered walkway continues EAST.|nYou can go SOUTH or SOUTHEAST into the courtyard.|nA glass-panelled door leads WEST.>
	indescription <You are at the western end of the:>
	south <Courtyard North-west>
	east <Sheltered Walk East>
	west msg <The glass-panelled door appears to be locked. You could smash it down, or maybe unlock it.>
	southeast <Courtyard North-east>
	use <Fire ax> {
		msg <You swing the fire ax and smash down the glass-panelled door.>
		create exit west <Sheltered Walk West; Library South>
		create exit east <Library South; Sheltered Walk West>
	}
end define

define room <Sheltered Walk East>
	alias <Sheltered Walkway>
	look <This is the eastern end of a long sheltered walkway. The balcony above covers this area and a wooden boardwalk runs west to east.|n|nYou can go WEST along the walkway.|nSOUTH or SOUTHWEST will take you into the courtyard.|nA glass-panelled door leads EAST.|nA door will take you NORTH.>
	indescription <You are at the eastern end of the:>
	north <Greenhouse West>
	south <Courtyard North-east>
	east msg <The glass-panelled door is locked. You could smash it down, or perhaps unlock it.>
	west <Sheltered Walk West>
	southwest <Courtyard North-west>
	use <Fire ax> {
		msg <You use the fire ax to smash open the glass-panelled door to the east.>
		create exit east <Sheltered Walk East; Corridor north of swimming pool West>
	}
end define

define room <Hall east of library>
	alias <Hall>
	look <This is a small hallway. |n|nThere is a door to the WEST.>
	indescription <You are in a small:>
	west msg <The door is locked. There's a button next to the door.>

	define object <Staircase4>
		alias <Staircase>
		alt <stairs; Stairs; staircase; StairCase; Stair Case; stair case; Stair case>
		look {
			msg <It's a winding set of stairs leading up.>
			choose <North stairs up menu>
		}
		take msg <Well, you would take it, if it wasn't so big, and heavy, and built into the house...>
		speak msg <It's a staircase. What makes you think it can talk?>
		examine msg <The staircase winds up the edge of the room. There's nothing unusual about it.>
		prefix <a>
		article <them>
		gender <it>
		use goto <Landing above entrance hall east>
		use anything msg <Putting that on the stairs won't do anything.>
	end define

	define object <Button>
		alias <Button>
		look {
			msg <This button is attached to the wall next to the door to the west.>
			choose <Button>
		}
		speak msg <You keep up a meaningful conversation for a little while, but the button loses interest.>
		examine msg <It's big, green and round.>
		use anything msg <You could just use your finger if you want to press it. Try looking at it.>
	end define

	define object <Button2>
		alias <Button>
		look msg <This button is attached to the wall next to the door to the west. It's already been pressed.>
		speak msg <You keep up a meaningful conversation for a little while, but the button loses interest.>
		examine msg <It's big, green and round.>
		hidden
		use anything msg <It's been pressed already. What good will that do?>
	end define

end define

define room <Corridor west of courtyard west>
	alias <Corridor>
	look <This short corridor runs from west to east. You are at the western end of it.|n|nA low door leads NORTH.|nThe corridor continues EAST.|nA door leads SOUTH.>
	indescription <You are at the west end of a:>
	north <Ground Floor Bathroom>
	south <Hall North of Gallery>
	east <Corridor west of Courtyard east>
end define

define room <Corridor west of Courtyard east>
	alias <Corridor>
	look <This is the eastern end of a short east-west corridor. A mirror hangs on the wall here.|n|nThere is a glass panelled door to the EAST, leading outside.|nYou can go WEST to the other end of the corridor.|nThere is a door to the NORTH.|n>
	indescription <You are at the east end of a:>
	north msg <The door to the north is locked. There is a star-shaped design in the wood of the door panel. Maybe it's related to the plinth in the centre of the room.>
	east msg <The glass panelled door is locked. You would need a weapon of some sort to break it, but maybe there's a key.>
	west <Corridor west of courtyard west>
	use <Fire ax> {
		msg <You swing the fire ax at the door frame and smash the lock. The door swings open.>
		create exit east <Corridor west of Courtyard east; Courtyard North-west>
		create exit west <Courtyard North-west; Corridor west of Courtyard east>
	}

	define object <Plinth>
		alias <Plinth>
		alt <plinth>
		look msg <It's a marble plinth. There's a star-shaped hollow in the top.>
		take msg <It's bolted down.>
		speak msg <The plinth says very little of note.>
		examine msg <There are gold flecks merking the edge of the star-shaped indentation in the top of the plinth.>
		prefix <a>
		article <it>
		gender <it>
		use <Star Pendant> {
			msg <The star pendant fits perfectly into the hollow in the top of the plinth. With a loud click, the door to the north swings open a small amount.>
			hide <Star Pendant>
			hide <Plinth>
			show <Plinth2>
			create exit north <Corridor west of Courtyard east; Library South>
		}
		use anything msg <That won't fit into the indentation on the top of the plinth.>
	end define

	define object <Plinth2>
		alias <Plinth>
		alt <plinth>
		look msg <It's a marble plinth. There's a star-shaped hollow in the top. The star pendant is fitted into it.>
		take msg <It's bolted down.>
		speak msg <The plinth says very little of note.>
		examine msg <You can't see how to remove the star pendant - it's slotted perfectly into the hollow.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Star Pendant> msg <The star pendant fits perfectly into the hollow in the top of the plinth. With a loud click, the door to the north swings open a small amount.>
		use anything msg <The star pendant's in place - there's nothing more you can do here.>
	end define

end define

define room <Ground Floor Bathroom>
	alias <Bathroom>
	look <This bathroom is serviceable. The sink has not been cleaned in a while and mildew is growing on the taps.|n|nThe exit is SOUTH.>
	indescription <You are in a small bathroom.>
	south <Corridor west of courtyard west>

	define object <Mirror>
		alias <Mirror>
		look {
			msg <It's a wide mirror. Someone's written on a post-it note and stuck it to the mirror.>
			choose <Do you wish to take the post-it note?>
		}
		take msg <It's attached to the wall.>
		speak msg <You talk to your reflection for a while. Then you get paranoid and stop.>
		examine {
			msg <You can take the post-it note.>
			choose <Do you wish to take the post-it note?>
		}
		prefix <a>
		article <it>
		gender <it>
		use anything msg <There's no point using that on the mirror.>
	end define

	define object <Post-it Note>
		alias <Post-it Note>
		alt <Note>
		look msg <Written on the note: Turn the large sword, then the small sword, then the large sword. The numbers must be right!>
		take
		speak msg <It doesn't talk much.>
		examine msg <It's light yellow.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <If you want to read it, look at it.>
		use anything msg <That has no effect.>
		use on anything msg <Sticking a post-it note to that seems quite pointless, doesn't it?>
	end define

	define object <Mirror2>
		alias <Mirror>
		look msg <It's a wide mirror.>
		take msg <It's attached to the wall.>
		speak msg <You talk to your reflection for a while. Then you get paranoid and stop.>
		examine msg <There's nothing else on the mirror.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <There's no point using that on the mirror.>
	end define

end define

define room <Reading Room>
	alias <Reading Room>
	look <This is a small study. It contains a desk with a comfortable armchair. Your uncle's glasses are sitting on the desk, along with various papers and books.|n|nA door will take you EAST.>
	indescription <You are in the:>
	east <Library North>

	define object <Glasses>
		alias <Glasses>
		alt <glasses>
		look msg <These are your uncle's reading glasses. They are gold-rimmed and look quite expensive.>
		take {
			msg <You pick up the glasses.>
			give <Glasses>
		}
		speak msg <No-one's wearing them. You're talking to thin air.>
		examine msg <There's nothing special about them.>
		prefix <a pair of>
		article <them>
		gender <it>
		use msg <They hurt your eyes. Your uncle was extremely short-sighted.>
		use anything msg <That won't do anything productive.>
		use on anything msg <You could put the glasses on that, but it'd be quite pointless.>
	end define

	define object <Gunpowder Book>
		alias <Gunpowder Book>
		alt <Book; book>
		look msg <It's a book about gunpowder. There are instructions on how to make shotgun shells.>
		take {
			msg <This book could come in handy.>
			give <Gunpowder Book>
		}
		speak msg <Conversation with the book loses it's appeal before you've even opened your mouth.>
		examine {
			msg <You read the book:>
			say <The manufacture of ammunition is a simple process with modern technology.|nThe Locke and Lowde Ltd. Shotgun Shell Machine can quickly manufacture shotgun shells with ease.|nSimply put empty shell casings in the slot at one end of the machine and pour the gunpowder in the funnel. Then press the activation switch and the machine will make shotgun shells within seconds.>
			msg <Sounds useful.>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <Try examining it if you want to read it.>
		use anything msg <That won't do anything.>
		use on anything msg <That doesn't work.>
	end define

	define object <2nd Floor Map>
		alias <Map of Second Floor>
		alt <2nd Floor Map; map>
		look {
			msg <You look at the map of the mansion's second floor:>
			picture <secondfloormap.jpg@523x348>
		}
		take {
			msg <You take the map.>
			give <2nd Floor Map>
		}
		speak msg <It can't talk, as far as you know.>
		examine {
			msg <You look at the map:>
			picture <secondfloormap.jpg@523x348>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <To view the map, look at it.>
		use anything msg <How will that help?>
		use on anything msg <You're not lost, so what's the point in doing that?>
	end define

	define object <Key 002>
		alias <Key 002>
		alt <Room 3 key; Key 3; room 3 key; key 3; key 03; Key 03; Key 003; key 003>
		look msg <It's a gold key with '002' carved into the end. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take {
			msg <You took the Room 002 key.>
			give <Key 002>
		}
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		use msg <There's no door that this key will open.>
		use on anything msg <The key won't unlock that.>
	end define

end define

define room <Library North>
	alias <Library>
	look <This is the north end of the library. There are many bookcases here, and a desk with a few books lying strewn on it.|n|nYou can go SOUTH to the other end of the library.|nThere is a small door to the WEST.|nA wide wooden door leads EAST.>
	indescription <You are in the:>
	south <Library South>
	east msg <You try the door to the east, but it's locked.>
	west <Reading Room>

	define object <A Brief History of Time>
		alias <Science Book>
		alt <Book; book>
		look msg <It's 'A Brief History of Time' by Professor Stephen Hawking.>
		take
		speak msg <You talk to the book for a while, but it doesn't respond.>
		examine msg <You open the book. You don't really understand the contents. Interestingly, someone has written three numbers on the fron cover, just under the word 'Time'. They are 3, 9 and 7.>
		use msg <Try examining it if you want to read it.>
		use anything msg <That's a waste of time.>
		use on anything msg <You can't use the book on that.>
	end define

	define object <Spider Book>
		alias <Spider Book>
		alt <Book; book>
		look msg <'Spiders and other arachnids' by Tara N. Tuler>
		take
		speak msg <It doesn't have anything interesting to say.>
		examine msg <Someone's torn all the pages out. Inside someone's written 'Remove the dining hall and go west to find the truth.' What can it mean?>
		use msg <Try examining it if you want to read it.>
		use anything msg <Nothing worthwhile happens.>
		use on anything msg <That doesn't work.>
	end define

end define

define room <Library South>
	alias <Library>
	look <You are standing at the south end of a sprawling library. Bookcases stretch from wall to ceiling, and there is a second floor running around the centre of the room. It doesn't look like you can access the upstairs section from here.|n|nYou can go NORTH to the other end of the library.|nThere is a door to the SOUTH.|nA glass-panelled door leads EAST. You can see a courtyard through it.>
	indescription <You are in the:>
	north <Library North>
	south <Corridor west of Courtyard east>
	east msg <The glass-panelled door to the east is locked.>
	use <Fire ax> {
		msg <You smash open the glass-panelled door to the east with the ax.>
		create exit east <Library South; Sheltered Walk West>
		create exit west <Sheltered Walk West; Library South>
	}
end define

define room <Landing above entrance hall west>
	alias <Landing>
	look <This is the west side of the landing above the entrance hall.|n|nYou can go EAST to the other side of the landing.|nThere is also a door to the WEST.>
	indescription <You are on the west side of the Entrance Hall:>
	east <Landing above entrance hall east>
	west <Corridor on west of 2nd floor south>

	define object <Shield>
		alias <Stone Shield>
		alt <shield>
		look msg <It's a shield made out of stone. It's fairly thin and wouldn't be much use as a real shield as it would shatter. Maybe it has some other use.>
		take {
			msg <The shield is quite heavy, but you pick it up.>
			give <Shield>
		}
		speak msg <You comment on the weather, but without much enthusiasm.>
		examine msg <The buckles on the back of the shield are worn as though it fits into something.>
		prefix <a>
		article <it>
		gender <it>
		use msg <You cannot do anything special with the shield.>
		use anything msg <That won't achieve anything.>
		use on anything msg <You cannot put the shield on that.>
	end define

end define

define room <Landing above entrance hall east>
	alias <Landing>
	look <This is the landing above the entrance hall. You can see over the rail into the entrance hall below.|n|nThere is a door to the EAST.|nYou can go WEST to the other side of the landing.>
	indescription <You are on the Entrance Hall:>
	east <Corridor south of workshop south>
	west <Landing above entrance hall west>

	define object <Staircase2>
		alias <Staircase>
		alt <stairs; Stairs; staircase; StairCase; Stair Case; stair case; Stair case>
		look {
			msg <It's a wide set of stairs leading down to the entrance hall below.>
			choose <Entrance Hall Stairs Down Menu>
		}
		take msg <Try as you might, you can't pick it up. So stop trying.>
		speak msg <It's a staircase. What makes you think it can talk?>
		examine msg <Close examination reveals an intricately carved pattern in the wood of the banister. There doesn't seem to be anything special about it.>
		prefix <a>
		article <them>
		gender <it>
		use goto <Landing above entrance hall east>
		use anything msg <There is no point putting that on the staircase.>
	end define

end define

define room <Corridor on west of 2nd floor south>
	alias <Corridor>
	look <You are at the south end of a long corridor.|n|nYou can go NORTH further up the corridor.|nThere is a door to the WEST with the number 001 written above it.|nYou can go EAST through another door.>
	indescription <You are in a long corridor.>
	north <Corridor on west of 2nd floor middle>
	east <Landing above entrance hall west>
	west msg <You try the door with 001 written above it but it's locked. You'll need to find the key.>
	use <Key 001> {
		msg <You used the key on the door to the west and unlocked it.>
		create exit west <Corridor on west of 2nd floor south; Bedroom One>
		hide <Key 001>
	}
end define

define room <Corridor on west of 2nd floor middle>
	alias <Corridor>
	look <This is the middle section of a long corridor running north to south. Windows to the east look out over the courtyard.|n|nYou can go NORTH to the top of the corridor.|nYou can go SOUTH to the other end of the corridor.|nA door leads WEST with a sign above it upon which is written 002.>
	indescription <You are in the middle of a corridor.>
	north <Corridor on west of 2nd floor north>
	south <Corridor on west of 2nd floor south>
	west msg <You try the door labelled 002 but it is locked. Maybe there's a key for it around here somewhere.>
	use <Key 002> {
		msg <You use the 002 key on the door labelled 002. The key fits and you unlock the door.>
		create exit west <Corridor on west of 2nd floor middle; Bedroom Two>
		hide <Key 002>
	}
end define

define room <Corridor on west of 2nd floor north>
	alias <Corridor>
	look <This is the northern end of a long North-south corridor.|n|nYou can go SOUTH further down the corridor.|nThere's a door to the WEST.|nAnother door leads NORTH.>
	indescription <You are at the north end of the corridor.>
	north msg <The door to the North seems to be locked.>
	south <Corridor on west of 2nd floor middle>
	west <Dusty Room>
end define

define room <Bedroom One>
	alias <Room One>
	look <This is a guest bedroom. It's blandly decorated, except for a striking illustration of a mad scientist wielding a hyperdermic needle above the bed.|n|nThere is a door to the WEST.|nAnother door leads EAST.>
	indescription <You are standing in:>
	east <Corridor on west of 2nd floor south>
	west <Bathroom One>

	define object <Wardrobe>
		alias <Wardrobe>
		alt <wardrobe>
		look msg <It's a wooden wardrobe, painted white.>
		take msg <It's too heavy to pick up.>
		speak msg <The conversation's a little wooden.>
		examine {
			msg <The wardrobe door handles are simple, white and circular.>
			choose <Room 001 Wardrobe Menu>
		}
		prefix <a>
		article <it>
		gender <it>
		use anything msg <You can't put that in the wardrobe.>
	end define

	define object <Open Wardrobe>
		alias <Wardrobe>
		alt <wardrobe>
		look msg <It's a simple whie wardrobe. The doors are open. There's no clothes inside.>
		take msg <It's too heavy to pick up.>
		speak msg <The conversation's a little wooden.>
		examine msg <There's nothing special about the wardrobe.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't put that in the wardrobe.>
	end define

	define object <Video Tape>
		alias <Video Tape>
		alt <Video tape; video tape; tape; Tape; Video; video>
		look msg <It's a standard VHS video cassette. You can't tell what's on it without watching it as there's no label.>
		take {
			msg <You pick up the video tape.>
			give <Video Tape>
		}
		speak msg <You argue heatedly with the video tape until it gives up.>
		examine msg <There's nothing unusual about the tape.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You'll need a VCR to watch that.>
		use on <TV-VCR Combination> msg <You can't watch the video, the VCR is not plugged in.>
		use anything msg <You can't do anything to the video tape with that.>
		use on anything msg <You can't watch the video tape like that.>
	end define

end define

define room <Bathroom One>
	alias <Onsuite Bathroom>
	look <This is a small, rundown bathroom. The fixtures are broken and the tiles are cracked. Water is leaking onto the floor.|n|nThe exit is EAST.>
	indescription <You are in Room 001's:>
	east <Bedroom One>

	define object <Ivory Horn>
		alias <Ivory Horn>
		alt <Ivory horn; ivory horn; Horn; horn>
		look msg <It's a fake bull's horn fashioned out of ivory.>
		take {
			msg <You take the ivory horn.>
			give <Ivory Horn>
		}
		speak msg <You don't suspect it can talk.>
		examine msg <It's completely smooth on one side, as if it fits into something.>
		use msg <What do you want to do, eat it?>
		use anything msg <What good will that do?>
		use on anything msg <The horn doesn't fit in that.>
	end define

end define

define room <Bedroom Two>
	alias <Room Two>
	look <This bedroom is quite richly decorated. The walls are a terracotta red colour and the furniture is of a matching set - terracotta red with gold trimmings. The bed looks messed up as though someone has recently slept in it. The bedside table drawer is slightly ajar.|n|nYou can go through a door to the WEST.|nThere is another door leading EAST.>
	indescription <You have entered:>
	east <Corridor on west of 2nd floor middle>
	west <Bathroom Two>

	define object <Bedside Table>
		alias <Bedside Table>
		alt <bedside table; Bedside table; Table; table>
		look msg <It's a rich red-varnished wooden bedside table. The drawer is slightly ajar.>
		take msg <It's too heavy.>
		speak msg <It hasn't got anything to say.>
		examine {
			msg <You look in the drawer. It's cluttered with personal effects and various bits of paper. There's something unusual poking out from under the muddle.>
			choose <Bedside Table Menu>
		}
		use anything msg <There is no point putting that on the bedside table.>
	end define

	define object <Ebony Horn>
		alias <Ebony Horn>
		alt <Ivory horn; ivory horn; Horn; horn>
		look msg <It's a fake bull's horn fashioned out of ebony.>
		take
		speak msg <You don't suspect it can talk.>
		examine msg <It's completely smooth on one side, as if it fits into something.>
		hidden
		use msg <What do you want to do, shove it up your ass?>
		use anything msg <What would that achieve?>
		use on anything msg <The horn does not fit in that.>
	end define

	define object <Bedside Table2>
		alias <Bedside Table>
		alt <bedside table; Bedside table; Table; table>
		look msg <It's a rich red-varnished wooden bedside table. The drawer is slightly ajar.>
		take msg <It's too heavy.>
		speak msg <It hasn't got anything to say.>
		examine msg <You look in the drawer. There's nothing else of any use.>
		hidden
		use anything msg <There is no point in putting that on the bedside table.>
	end define

end define

define room <Bathroom Two>
	alias <Onsuite Bathroom>
	look <This bathroom is well-kept, although it is obviously often used. Toothpaste stains the sink and the shower seems to have been abandoned halfway through being cleaned.|n|nThe exit is EAST.>
	indescription <You are in the onsuite bathroom of room 002.>
	east <Bedroom Two>

	define object <Cloth>
		alias <Cloth>
		alt <cloth>
		look msg <It's a blue cloth, slightly damp.>
		take {
			msg <The cloth is wet, but you pick it up anyway.>
			give <Cloth>
		}
		speak msg <It doesn't say much.>
		examine msg <It seems to be soaked in cleaning fluid of some description.>
		prefix <a>
		article <it>
		gender <it>
		use msg <You wipe your face with it. It smells of disinfectant.>
		use anything msg <You cannot do anything to the cloth with that.>
		use on anything msg <That's not dirty, it does not need to be wiped.>
	end define

	define object <Shower Cleaner>
		alias <Limescale Remover Fluid>
		alt <Fluid; fluid; Limescale Remover; Limescale remover; limescale remover>
		look msg <It's a spray bottle of Limescale Remover fluid.>
		take {
			msg <You pick up the bottle of limescale remover. It feels about half full.>
			give <Shower Cleaner>
		}
		examine msg <Crap Cleaners Ltd. Limescale Remover.|n|nDirections: Spray on bathroom fittings and wipe away crap with a cloth.>
		prefix <a bottle of>
		article <it>
		gender <it>
		use msg <What do you want to do with it?>
		use anything msg <What good will that do?>
		use on anything msg <There is no point spraying that.>
	end define

	define object <Gunpowder>
		alias <Pot of Gunpowder>
		alt <Gunpowder; gunpowder>
		look msg <It's a small pot of gunpowder.>
		take {
			msg <Don't know what this is doing in a bathroom, but it might come in handy.>
			give <Gunpowder>
		}
		speak msg <It doesn't speak back, I'm afraid.>
		examine msg <The label on the pot says:|n|nLytett and Lobbett Gunpowder Manufacturers Ltd.|n|nThe pot is half full of gunpowder.>
		prefix <a>
		article <it>
		gender <it>
		use msg <That's dangerous! I wouldn't do anything with that if I were you.>
		use on <Shotgun> msg <You can't put the gunpowder straight into the gun like that - you need proper shotgun shells!>
		use anything msg <Mixing that with the gunpowder won't do any good.>
		use on anything msg <Using gunpowder with that could be dangerous.>
		drop nowhere <This stuff's dangerous. Better not leave it just anywhere!>
	end define

end define

define room <Dusty Room>
	alias <Dusty Store Room>
	look <This is a bare room with cobwebs and dust everywhere. There is nothing in the room, not even carpet, just a layer of dust inches thick. |n|nThere is a single set of footprints leading through the dust to a door to the NORTH.|nThere is a door to the EAST.>
	indescription <You are in the:>
	north msg <The door to the north is locked. A picture of a wolf howling at the moon is engraved on the door. Small flecks of silver mar the keyhole.>
	east <Corridor on west of 2nd floor north>
	use <Silver Key> {
		msg <The silver key unlocks the door to the north.>
		create exit north <Dusty Room; Statue Room>
		hide <Silver Key>
	}

	define object <Ladder>
		alias <Ladder>
		alt <ladder>
		look {
			msg <There's a ladder leading up through a hatch in the ceiling.>
			choose <Attic Ladder Menu>
		}
		speak msg <The ladder doesn't talk back.>
		examine msg <The ladder is rickety, but seems solid enough to climb. It's covered in dust.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <You can't do anything to the ladder with that!>
	end define

end define

define room <Statue Room>
	alias <Statue Hall>
	look <This room is empty except for a huge towering statue. Is there something significant about it?>
	indescription <You are in the:>
	north msg <The door to the north is locked firmly.>
	south <Dusty Room>

	define object <Statue>
		alias <Statue>
		look msg <It's a statue of a figure wearing armour. It looks like it should be holding something but there's nothing in it's hands.>
		take msg <It won't move and it certainly can't be picked up.>
		speak msg <It's a statue - it has a face, but it can't talk.>
		examine msg <There's a lot of wear around the hands.>
		prefix <a>
		article <it>
		gender <it>
		use <Sword> {
			msg <The sword slots perfectly into the statue's left hand.>
			hide <Statue>
			hide <Sword>
			show <Statue with sword>
		}
		use <Shield> {
			msg <The shield slides neatly onto the statue's arm. It slots into place with a click.>
			hide <Shield>
			show <Statue with shield>
			hide <Statue>
		}
		use anything msg <You can't do anything to the statue with that.>
	end define

	define object <Statue with sword>
		alias <Statue>
		look msg <It's a statue of a figure wearing armour. It's holding a sword in one hand. It looks like it should be holding something in the other hand.>
		speak msg <It's a statue - it has a face, but it can't talk.>
		examine msg <There's wear on the other arm too.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Shield> {
			msg <The shield slides neatly onto the statue's other arm. With both the sword and shield in place, the statue rises out of the floor slightly with a low rumble. It is now set on a circular platform.>
			hide <Statue with sword>
			hide <Shield>
			show <Statue with both>
		}
		use anything msg <You can't do anything to the statue with that.>
	end define

	define object <Statue with shield>
		alias <Statue>
		look msg <It's a statue of a figure wearing armour. It's holding a shield on one arm. It looks like it should be holding something in the other hand.>
		speak msg <It's a statue - it has a face, but it can't talk.>
		examine msg <There's wear on the other arm too.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Sword> {
			msg <The sword slides neatly into the statue's other hand. With both the sword and shield in place, the statue rises out of the floor slightly with a low rumble. It is now set on a circular platform.>
			hide <Statue with shield>
			hide <Sword>
			show <Statue with both>
		}
		use anything msg <You can't do anything to the statue with that.>
	end define

	define object <Statue with both>
		alias <Statue>
		look msg <It's a statue of a figure wearing armour. It's holding a shield on one arm and a shield in the other hand. It's on a platform that looks like it can turn. Perhaps you should examine it.>
		speak msg <It's a statue - it has a face, but it can't talk.>
		examine {
			msg <It looks like you can spin the statue around.>
			choose <Statue Menu1>
		}
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't do anything to the statue with that.>
	end define

	define object <Sword>
		alias <Stone Sword>
		alt <sword>
		look msg <It's a sword made out of stone. It wouldn't make a very good weapon as it would likely shatter upon impact with anything hard. Perhaps it has some other use.>
		take {
			msg <You pick up the sword, though it is quite heavy.>
			give <Sword>
		}
		examine msg <The handle is worn, as if it has been fitted into something.>
		prefix <a>
		article <it>
		gender <it>
		use msg <There's nothing you can do with it.>
		use on anything msg <Attacking that won't help.>
	end define

	define object <Statue finished>
		alias <Statue>
		look msg <It's a statue of a figure wearing armour. It's holding a sword and shield. It's facing north. The statue has locked in place and can be turned no more.>
		speak msg <It's a statue - it has a face, but it can't talk.>
		examine msg <You can't do anything more with the statue.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use <Sword> {
			msg <The sword slides neatly into the statue's other hand. With both the sword and shield in place, the statue rises out of the floor slightly with a low rumble. It is now set on a circular platform.>
			hide <Statue with shield>
			hide <Sword>
			show <Statue with both>
		}
		use anything msg <You can't do anything to the statue with that.>
	end define

end define

define room <Observatory>
	alias <Observatory>
	look <This is an observatory of some sort. A huge telescope dominates the room, and the walls are lined with various astral charts.|n|nThe exit to this room lies to the SOUTH.>
	indescription <You are in the:>
	south <Statue Room>

	define object <Telescope>
		alias <Telescope>
		look msg <It's a huge telescope pointing up through a hole in the domed ceiling. Perhaps you could examine the telescope to have the look at the heavens.>
		speak msg <It could be able to talk, but if so it's hiding it well.>
		examine {
			msg <You look into the telescope expecting to see the early night sky. Instead, you can see absolutely nothing. There's a button beneath the viewfinder.>
			choose <Telescope button>
		}
		prefix <the>
		article <it>
		gender <it>
	end define

	define object <Telescope2>
		alias <Telescope>
		look msg <It's a huge telescope pointing up through a hole in the domed ceiling. Perhaps you could examine the telescope to have the look at the heavens.>
		speak msg <It could be able to talk, but if so it's hiding it well.>
		examine msg <You look into the telescope. A view of the sky greets you. The stars aren't really visible yet as the sun hasn't sunk beneath the horizon yet.>
		prefix <the>
		article <it>
		gender <it>
		hidden
	end define

	define object <Fire ax>
		alias <Fire ax>
		alt <ax; axe; fire axe>
		look msg <It's a shiny new ax. The shaft is wood and the blade is painted red. You could really smash something with this.>
		take {
			msg <You pick up the fire ax.>
			give <Fire ax>
		}
		examine msg <It's sharp and heavy. If you want to use this ax to try and break down a door, simply use it in the same room as the door.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's nothing to attack here.>
		use anything msg <That does nothing.>
		use on anything msg <Attacking that with the ax won't solve anything.>
	end define

end define

define room <Balcony above library north>
	alias <Balcony>
	look <The upper floor of the library has as many bookcases as the ground floor. You can see down to the ground floor through the hole in the middle of the room.|n|nYou can go EAST through a door.|nThe balcony continues SOUTH.>
	indescription <You are on the upstairs balcony of the library.>
	south <Balcony above library south>
	east <2nd Floor Landing east of balcony above library>
end define

define room <Balcony above library south>
	alias <Balcony>
	look <This is the southern end of the library's balcony. There are bookcases everywhere.|n|nA door leads SOUTH.|nAnother door leads EAST.|nThe balcony continues NORTH.>
	indescription <You are in the south part of the library second floor balcony.>
	north <Balcony above library north>
	south {
		msg <There's a key in the lock. You turn the key and unlock the door.>
		create exit south <Balcony above library south; Corridor on west of 2nd floor north>
		create exit north <Corridor on west of 2nd floor north; Balcony above library south>
	}
	east <Balcony overlooking courtyard west>
end define

define room <2nd Floor Landing east of balcony above library>
	alias <Landing>
	look <This is a small landing. A golden chandelier hangs over the centre of the room.|n|nYou can go SOUTH through a door.|nAnother door leads WEST.>
	indescription <You are on the:>
	south <Balcony overlooking courtyard west>
	west <Balcony above library north>

	define object <Staircase3>
		alias <Staircase>
		alt <stairs; Stairs; staircase; StairCase; Stair Case; stair case; Stair case>
		look {
			msg <It's a winding set of stairs leading down.>
			choose <North stairs down menu>
		}
		speak msg <It's a staircase. What makes you think it can talk?>
		examine msg <The staircase winds down the edge of the room. There's nothing unusual about it.>
		prefix <a>
		article <them>
		gender <it>
		use goto <Landing above entrance hall east>
		use anything msg <There's no point putting that on the stairs.>
	end define

end define

define room <Balcony overlooking courtyard west>
	alias <Balcony>
	look <This is the western end of a balcony overlooking the courtyard. Potted plants grow here. A hanging basket swings gently in the wind.|n|nThere is a door to the NORTH.|nThere is a glass-panelled door to the WEST.|nYou can go back along the balcony to the EAST.|nThe courtyard is SOUTH.>
	indescription <You are on the west end of the:>
	north <2nd Floor Landing east of balcony above library>
	south msg <You could jump down into the courtyard, but you might just break your legs. Best not to risk it.>
	east <Balcony overlooking courtyard east>
	west <Balcony above library south>

	define object <Hanging Basket>
		alias <Hanging Basket>
		alt <Basket>
		look msg <It's a simple hanging basket. There doesn't seem to be any plant life growing in it though.>
		speak msg <You try and strike up a conversation, but nothing exciting happens.>
		examine {
			msg <You reach up to investigate the hanging basket. It tips up, and something shiny falls out. You make a grab, but it falls over the railing and into the courtyard below.>
			hide <Hanging Basket>
			show <Hanging Basket2>
			show <Broken key2>
			move <Broken key2; Courtyard North-west>
		}
		use anything msg <That won't do anything.>
	end define

	define object <Hanging Basket2>
		alias <Hanging Basket>
		alt <Basket>
		look msg <It's a simple hanging basket. There doesn't seem to be any plant life growing in it though.>
		speak msg <You try and strike up a conversation, but nothing exciting happens.>
		examine msg <There's nothing else in the basket.>
		hidden
		use anything msg <There's no point using that on the hanging basket.>
	end define

end define

define room <Balcony overlooking courtyard east>
	alias <Balcony>
	look <This roofed balcony goes from east to west. There is a great view down into the courtyard to the south from here.|n|nYou can go EAST through a glass-panelled door.|nYou can also go WEST further along the balcony.|nThe courtyard is SOUTH.|nThe top of a greenhouse is visible over the NORTH edge of the balcony.>
	indescription <You are on the east side of a:>
	north msg <Jumping onto the glass roof of the greenhouse would probably not be the wisest thing to do.>
	south msg <You could jump down into the courtyard, but you might just break your legs. Best not to risk it.>
	east <2nd Floor Corridor east of courtyard west>
	west <Balcony overlooking courtyard west>
end define

define room <2nd floor Corridor east of courtyard east>
	alias <Corridor>
	look <This is the eastern end of a long east-west corridor. Some piping comes out of the floor here and goes into the south wall next to the door.|n|nYou can go along the corridor to the WEST.|nA door leads EAST.|nA rich-looking door leads SOUTH.>
	indescription <You are at the east end of a long corridor.>
	south msg <The rich-looking door is locked.>
	east msg <The door to the east is locked. A sign on the door says 'Office'.>
	west <2nd Floor Corridor east of courtyard middle>
	use <Office Key> {
		msg <You use the office key to unlock the office door to the East.>
		create exit east <2nd floor Corridor east of courtyard east; Office>
		hide <Office Key>
	}
end define

define room <2nd Floor Corridor east of courtyard middle>
	alias <Corridor>
	look <This is the middle part of a long east-west corridor.|n|nThe corridor continues WEST.|nThe corridor also continues EAST.|nThere's a door to the NORTH.>
	indescription <You are in the middle of a long corridor.>
	north <Storeroom above Ballroom (north of corridor east)>
	east <2nd floor Corridor east of courtyard east>
	west <2nd Floor Corridor east of courtyard west>
end define

define room <2nd Floor Corridor east of courtyard west>
	alias <Corridor>
	look <This corridor runs from east to west. You are at the west end of it.|n|nA glass-panelled door leads WEST.|nYou can go further down the corridor to the EAST.|nA door leads SOUTH.>
	indescription <You are at the western end of a long corridor.>
	south <Workshop>
	east <2nd Floor Corridor east of courtyard middle>
	west <Balcony overlooking courtyard east>
end define

define room <Storeroom above Ballroom (north of corridor east)>
	alias <Storeroom>
	look <This storeroom contains all sorts of props and costumes. Wigs line one wall and a beautiful white dress sits on a mannequin in the centre of the room. Through a window to the east you can see down into a ballroom.|n|nThe exit door is SOUTH.>
	indescription <You are in a storeroom.>
	south <2nd Floor Corridor east of courtyard middle>

	define object <Dress>
		alias <Dress>
		look msg <It's a beautiful white dress. It appears to be made of silk.>
		speak msg <It has no mouth, ok?>
		examine {
			msg <The shape of a key is bulging out of the back of the dress. Looks like someone's hidden it there.>
			choose <Wolf key take>
		}
		use anything msg <What will that achieve?>
	end define

	define object <Silver Key>
		alias <Silver Key>
		alt <key>
		look msg <It's a silver key.>
		take
		examine msg <It's got a picture of a wolf engraved very finely on the head of the key.>
		hidden
		use on anything msg <This key won't unlock that.>
	end define

	define object <Dress2>
		alias <Dress>
		look msg <It's a beautiful white dress. It appears to be made of silk.>
		speak msg <It has no mouth, ok?>
		examine msg <There's nothing else special about the dress.>
		hidden
		use anything msg <You've got the key from the dress already. That's not going to do anything.>
	end define

end define

define room <Office>
	alias <Office>
	look <This office is cramped. Papers are strewn on the desk. A large window dominates the south wall.|n|nYou can go WEST through a door.|nA large window lies SOUTH.>
	indescription <You are in a small:>
	south msg <You window is big enough to climb through. One problem - there's glass in the way...>
	west <2nd floor Corridor east of courtyard east>

	define object <Window>
		alias <Window>
		look msg <This window looks into another room - it looks like a bathroom.>
		examine msg <Looking at the edge of the window, you realise that this is a one-way window, and the other side is a mirror over the bathroom sink. If you could smash the window, you could climb through into the bathroom.>
		use <Fire ax> {
			msg <You swing the fire ax at the window. It smashes, sending shards of reflective glass flying. You can now go SOUTH, through the window.>
			hide <Window>
			create exit south <Office; Master Bedroom onsuite bathroom>
			show <Window2>
		}
		use anything msg <You can't break the window with that.>
	end define

	define object <Window2>
		alias <Broken Window>
		alt <window>
		look msg <This window looks into another room - it looks like a bathroom. The glass is smashed and lies strewn on the floor.>
		examine msg <The broken glass is reflective on one side. It seems the window is a mirror on the other side.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <The window's already smashed.>
	end define

end define

define room <Master Bedroom>
	alias <Master Bedroom>
	look <This appears to be the master bedroom. It is larger than the other bedrooms and the furniture is much finer. A large four-poster bed dominates the room. It has red curtains around it. A full-length mirror in the shape of a gothic arch sits in one corner and the wardrobe and other furniture also display the gothic style. Everything is made from a rich reddish wood.|n|nA door leads NORTH.|nAnother door leads EAST.>
	indescription <You are in a richly furnished:>
	north <2nd floor Corridor east of courtyard east>
	east msg <The door to the east is blocked by a large wardrobe that's been moved in front of it.>

	define object <Wardrobe block>
		alias <Wardrobe>
		look msg <It's a big wardrobe in the gothic style of this room. It's blocking the door to the east.>
		examine {
			msg <There's nothing inside of much use. You can probably push this out of the way of the door.>
			choose <Wardrobe move>
		}
		prefix <the>
		article <it>
		gender <it>
		use anything msg <You can't do anything to the wardrobe with that.>
	end define

	define object <Wardrobe block2>
		alias <Wardrobe>
		look msg <It's a big wardrobe in the gothic style of this room. It's next to the door to the east.>
		examine msg <There's nothing inside of much use. You've already unblocked the door to the east.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <You can't do anything to the wardrobe with that.>
	end define

	define object <Fuse>
		alias <Fuse>
		look msg <It's some kind of electrical fuse.>
		take {
			msg <You pick up the small fuse.>
			give <Fuse>
		}
		examine msg <Someone's scratched 'ELEV' on the underside of the fuse.>
		use msg <It won't power you!>
		use anything msg <How will that help?>
		use on anything msg <The fuse won't do anything to that.>
	end define

end define

define room <Master Bedroom onsuite bathroom>
	alias <Bathroom>
	look <This room is a obviously a bathroom but it looks more like a palace. Gold and red seems to be the colour scheme of choice - the taps and shower-head look like valuable artifacts!|nIt's a large room with a bath and a walk-in shower.|n|nThe huge mirror to the NORTH over the sink is smashed and you can see through into an office.|nA door leads to the WEST.>
	indescription <You are in a richly decorated:>
	north <Office>
	west msg <The door to the west is not locked, but it seems to be blocked by something. It won't open.>

	define object <Smashed Mirror>
		alias <Broken Mirror>
		alt <window>
		look msg <This mirror was set above the sink. The glass is smashed and lies strewn on the floor. A window lay behind the mirror and you can see an office through it.>
		examine msg <The broken glass is reflective on one side only. It seems the mirror was a window on the other side.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <It's smashed already.>
	end define

	define object <Diary>
		alias <Diary>
		alt <Diary>
		look msg <It's your uncle's diary. It's been written in up to the day of his death.>
		take {
			msg <You take the diary.>
			give <Diary>
		}
		examine {
			msg <You open the diary and begin to read.|n|n>
			say <September 17th|n|nThe corporation sent another couple of heavies round today. They're so clumsy - they keep breaking things!|n|nSeptember 18th|n|nI think something's up. The second test was a huge success, and the corporation said they want to move the research to their own labs. I'm not sure this is legal.|n|nSeptember 19th|n|nI heard two of them talking. They plan to use the formula as a weapon. While it would be an ideal tool for assassination, being totally untraceable and fatal within seconds, this is totally insane! I have destroyed all my papers. Tomorrow I will dispose of the sample.|n|nSeptember 20th|n|nThe sample is gone! The corporation must have taken it already! That means I'm a dead man. I've taken all the necessary steps, but they'll kill me for sure now. I know too much. I've hidden the missing part in the jacuzzi. I hope someone can put it to good use.>
			msg <|nThere is nothing on any of the following pages.>
			hide <Jaccuzi>
			show <Jaccuzi2>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <Examine it if you want to read it.>
		use anything msg <The diary won't benefit from interaction with that.>
		use on anything msg <The diary won't affect that.>
	end define

end define

define room <Workshop>
	alias <Workshop>
	look <This room appears to have been used as a workshop. It contains many tools like hammers, screwdrivers, saws and such like. Several machines sit on the bench in the centre of the room.|n|nA door leads SOUTH.|nThere is a low archway to the EAST.|nAnother door leads NORTH.>
	indescription <You are in the:>
	north <2nd Floor Corridor east of courtyard west>
	south <Corridor south of workshop north>
	east <Supply Room>

	define object <Shotgun Shell Machine>
		look msg <'The Locke and Lowde Ltd. Shotgun Shell Machine'|n|nIt appears to be functional.>
		speak msg <It's not a very good conversationalist.>
		examine msg <You need to pour gunpowder in the funnel at the top by the look of things. A slot at the side is labelled Casing Entry Unit.>
		use <Shell Casings> {
			msg <You slot the two shell casings into the side of the machine. They seem to fit.>
			hide <Shotgun Shell Machine>
			show <Shotgun Shell Machine with casings>
			hide <Shell Casings>
		}
		use <Gunpowder> {
			msg <You carefully pour the gunpowder into the funnel at the top of the machine.>
			hide <Shotgun Shell Machine>
			show <Shotgun Shell Machine with gunpowder>
			hide <Gunpowder>
		}
		use anything msg <That won't fit anywhere in the machine.>
	end define

	define object <Shotgun Shell Machine with casings>
		look msg <'The Locke and Lowde Ltd. Shotgun Shell Machine'|n|nIt appears to be functional. You've put the shell casings in the right place in the machine.>
		speak msg <It's not a very good conversationalist.>
		examine msg <You need to pour gunpowder in the funnel at the top by the look of things. A slot at the side is labelled Casing Entry Unit. The shell casings are loaded in here.>
		hidden
		use <Gunpowder> {
			msg <You pour the gunpowder in the funnel at the top of the machine and press the green power button at the side. The machine springs into life, the shell casings disappear inside, and the gunpowder disappears down the funnel. Two shotgun shells appear at the other end.>
			hide <Gunpowder>
			show <Pot>
			give <Pot>
			show <Shotgun shells>
			show <Shotgun Shell Machine>
			hide <Shotgun Shell Machine with casings>
		}
		use anything msg <That won't fit anywhere in the machine.>
	end define

	define object <Shotgun Shell Machine with gunpowder>
		look msg <'The Locke and Lowde Ltd. Shotgun Shell Machine'|n|nIt appears to be functional.>
		speak msg <It's not a very good conversationalist.>
		examine msg <You have poured gunpowder into the funnel at the top. A slot at the side is labelled Casing Entry Unit.>
		hidden
		use <Shell Casings> {
			msg <You slot the shell casings in the side of the machine and press the power button. The machine roars into life and the casings disappear inside. The gunpowder pours down the funnel, and shortly two shotgun shells pop out the other end of the machine.>
			hide <Shell Casings>
			show <Shotgun shells>
			hide <Shotgun Shell Machine with gunpowder>
			show <Shotgun Shell Machine>
		}
		use anything msg <That won't fit anywhere in the machine.>
	end define

	define object <Pot>
		alias <Pot>
		look msg <It's an empty pot. It smells faintly of gunpowder.>
		take
		examine msg <This is the pot that held the gunpowder. It's empty now.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <You can't smoke it - it's not that kind of pot.>
		use anything msg <What use would putting that in the pot have?>
		use on anything msg <That won't do anything.>
	end define

	define object <Shotgun shells>
		alias <Shotgun Shells>
		alt <shells>
		look msg <Two shotgun shells. They can be loaded into any Locke & Lowde brand shotgun.>
		take
		examine msg <Nothing special is revealed upon close examination.>
		hidden
		use msg <You want to spit them at things?>
		use on <Shotgun> {
			msg <You load the shotgun shells into the shotgun. The shotgun is now loaded with two shots.>
			hide <Shotgun>
			show <Loaded Shotgun>
			give <Loaded Shotgun>
			hide <Shotgun shells>
		}
		use anything msg <How will that work?>
		use on anything msg <You can't load them into that!>
	end define

	define object <Loaded Shotgun>
		alias <Shotgun>
		alt <shotgun; Gun; gun>
		look msg <It's a Locke & Lowde brand double-barrelled shotgun. Two shotgun shells are loaded.>
		take
		examine msg <On closer inspection, you see that the gun's serial number has been sanded off...>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <That would be a waste of ammunition.>
		use anything msg <It's already loaded. Besides, that wouldn't fit.>
		use on anything msg <Shooting that won't achieve anything.>
	end define

	define object <Blowtorch>
		alias <Blowtorch>
		alt <torch>
		look msg <It's a blowtorch. It's got fuel in it.>
		take {
			msg <You pick up the blowtorch.>
			give <Blowtorch>
		}
		examine msg <This will probably create a flame hot enough to melt metal.>
		use msg <That's a waste of fuel.>
		use on <Mended Key2> {
			msg <You use the blowtorch and fuse the two sections of the key together. Alright, it's not perfect, but at least you can use the key now.>
			hide <Mended Key2>
			show <Mended Key>
			give <Mended Key>
		}
		use on anything msg <Why would I want to set fire to that?>
	end define

	define object <Mended Key>
		alias <Mended Key>
		alt <Room 3 key; Key 3; room 3 key; key 3; key 03; Key 03; Key 003; key 003>
		look msg <It's a gold key. It's been mended with a blowtorch. To unlock a door with this key, you must 'Use' it in the room with the door you want to unlock.>
		take
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <There's no door that this key will open.>
		use on anything msg <You can't unlock that with this key.>
	end define

	define object <Mended Key2>
		alias <Broken Key>
		alt <key>
		look msg <It's a gold key. It's been broken into two halves.>
		take
		speak msg <While talking to a key may be fun, it's not really very useful. Also, people may think you're insane.>
		examine msg <Nothing special is revealed upon closer examination.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use msg <This key's broken. You'll need to mend it if you want to unlock anything with it.>
		use on anything msg <It's broken, you can't unlock anything with this key.>
	end define

end define

define room <Supply Room>
	alias <Supply Room>
	look <This room is full of crates, bits of wood and broken machines. It looks like a store room for the workshop next door.|n|nAn archway leads WEST.>
	indescription <You are standing in the workshop store room.>
	west <Workshop>

	define object <Box>
		alias <Box>
		look msg <It's a cardboard box. It's labelled 'Shell Casings'.>
		take {
			msg <You reach into the box and take the two shell casings that you find there.>
			show <Shell Casings>
			give <Shell Casings>
			hide <Box>
			show <Box2>
		}
		examine msg <Looking inside, you find that only two shell casings remain.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <Putting that in the box would be a waste of time.>
	end define

	define object <Shell Casings>
		alias <Shell Casings>
		alt <Casings>
		look msg <Two empty metal shells.>
		take {
			msg <You take the shell casings.>
			give <Shell Casings>
		}
		examine msg <If you knew how, you could use these to make shotgun shells.>
		prefix <some>
		article <it>
		gender <it>
		hidden
		use on anything msg <How will that do anything?>
	end define

	define object <Box2>
		alias <Box>
		look msg <It's a cardboard box. It's labelled 'Shell Casings'.>
		take msg <You've already taken the shell casings from the box.>
		examine msg <Looking inside, you find that no shell casings remain.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <Putting that in the box would be a waste of time.>
	end define

end define

define room <Corridor south of workshop north>
	alias <Corridor>
	look <This is the north end of the short corridor. Windows to the west look out over the courtyard.|n|nThere is a door to the NORTH.|nA door with 003 written on it leads EAST.|nThe corridor continues to the SOUTH.>
	indescription <You are at the north end of the black and white tiled corridor.>
	north msg <You try the door to the North but it seems it's locked. The keyhole is severely rusted.>
	south <Corridor south of workshop south>
	east msg <You try the door labelled 003 but it's locked. Maybe the door has a key somewhere.>
	use <Key 003> {
		msg <You use the Room 003 key on the door labelled 003. It fits and you unlock the door.>
		create exit east <Corridor south of workshop north; Bedroom Three>
		hide <Key 003>
	}
	use <Rusty key> {
		msg <The rusty key perfectly fits the door to the north. You unlock the door.>
		create exit north <Corridor south of workshop north; Workshop>
		hide <Rusty key>
	}
end define

define room <Corridor south of workshop south>
	alias <Corridor>
	look <This corridor is quite short. It has a black and white tiled floor.|n|nYou can go NORTH to the other end of the corridor.|nThere is a door WEST.|nThere is another door to the EAST with the number 004 written beside it.>
	indescription <You are at the south end of a short corridor running north to south.>
	north <Corridor south of workshop north>
	east msg <You try the door labelled 004 but it's locked.>
	west <Landing above entrance hall east>
	use <Key 004> {
		msg <You use the key to room 004 on the door to the east. It unlocks it.>
		create exit east <Corridor south of workshop south; Bedroom Four>
		hide <Key 004>
	}
end define

define room <Bedroom Three>
	alias <Room Three>
	look <This room was labelled 003. It seems to be a guest bedroom. It's painted in bland shades of white, and a boring landscape painting hangs on one wall.|n|nWEST lies a door.|nAnother door is EAST of this room.>
	indescription <You are in:>
	east <Bathroom Three>
	west <Corridor south of workshop north>
end define

define room <Bathroom Three>
	alias <Onsuite Bathroom>
	look <This is a small, sparsely decorated bathroom. It is dimly lit by the setting sun through the window in the east wall.|n|nThe exit is WEST.>
	indescription <You are in the onsuite bathroom for Room 003.>
	west <Bedroom Three>

	define object <Concrete Block>
		alias <Concrete Block>
		alt <concrete; Concrete; block; Block; Concrete block; concrete block>
		look msg <It's a lump of concrete with a golden key handle sticking out of one side.>
		take {
			msg <You pick up the concrete block.>
			give <Concrete Block>
		}
		examine msg <The concrete looks quite solid and you can't break it. The key handle sticking out of it is gold in colour. IT has 001 written on it.>
		prefix <a>
		article <it>
		gender <it>
		use msg <You can't pull the key out with your bare hands!>
		use anything msg <You won't break the concrete like that!>
		use on anything msg <You won't get the key out of the concrete block like that!>
	end define

end define

define room <Bedroom Four>
	alias <Room Four>
	look <This room has not been used for a long time by the look of things. The bed is stripped of all sheets, and the wardrobe and chest of drawers are empty. A fine layer of dust covers everything.|n|nYou can go EAST through a door.|nAnother door leads WEST.>
	indescription <You are standing in:>
	east <Bathroom Four>
	west <Corridor south of workshop south>

	define object <Rusty key>
		alias <Rusty Key>
		alt <rusty key; key; Key>
		look msg <It's a rusty key. Wonder what it unlocks.>
		take {
			msg <You pick up the rusty key.>
			give <Rusty key>
		}
		examine msg <There's nothing special about it.>
		prefix <a>
		article <it>
		gender <it>
		use msg <There is no door here that the rusty key will unlock.>
		use on anything msg <The rusty key won't unlock that!>
	end define

end define

define room <Bathroom Four>
	alias <Onsuite Bathroom>
	look <This bathroom is dilapidated in the extreme. The fixtures are broken and there is no sign that anyone has ever cleaned in here.|n|nThe exit is WEST.>
	indescription <You are in the onsuite bathroom for room 004.>
	west <Bedroom Four>
end define

define room <Attic Landing >
	alias <Attic>
	look <A few dusty crates lie scattered about.|n|nAn archway leads EAST between two wooden beams.|nThe attic goes WEST.>
	indescription <You are in a dim, dusty attic room.>
	east <Attic Corridor Middle>
	west <Attic Landing 2>
end define

define room <Attic Office>
	alias <Office>
	look <This is a small office, built under the roof arch. There is a desk and a chair here, and a small lamp.|n|nThe exit lies to the SOUTH.>
	indescription <You are in an:>
	west <Attic Corridor South>

	define object <Broken key>
		alias <Key Handle>
		alt <Half; Broken half; broken key>
		look msg <It's clearly the handle of a key, but the bottom half has broken off.>
		take {
			msg <You pick up the broken key handle.>
			give <Broken key>
		}
		examine msg <It's a clean break, maybe you could repair this if you could find the other half.>
		prefix <a>
		article <it>
		gender <it>
		use msg <That won't unlock anything in that state.>
		use <Broken key2> {
			msg <You fit the two key halves together. They look like they were once the same key. Now all you need is some way to fuse them together.>
			hide <Broken key2>
			hide <Broken key>
			show <Mended Key2>
			give <Mended Key2>
		}
		use on <Broken key2> {
			msg <You fit the two key halves together. They look like they were once the same key. Now all you need is some way to fuse them together.>
			hide <Broken key2>
			hide <Broken key>
			show <Mended Key2>
			give <Mended Key2>
		}
		use on anything msg <You can't unlock anything with half a key!>
	end define

end define

define room <Attic Corridor North>
	alias <Attic>
	look <You are standing at the north end of a corridor running the length of the attic.|n|nYou can go SOUTH down the corridor.>
	indescription <You are at the north end of the attic corridor.>
	south <Attic Corridor Middle>

	define object <TV-VCR Combination>
		alias <TV-VCR Combination>
		alt <TV; VCR; tv; vcr>
		look msg <It's a TV with a video recorder built into the base. If you could find an electric socket you could plug it in.>
		take {
			msg <You pick up the TV-VCR Combination.>
			give <TV-VCR Combination>
		}
		examine msg <It's covered in dust. Your uncle never liked technology, which is probably why this was in the attic.>
		use msg <It's not plugged in, you can't watch anything.>
		use <Video Tape> msg <It looks like you could play the video tape but you'd need to plug the TV in.>
		use anything msg <That won't play on the VCR.>
		use on anything msg <What good will that do?>
	end define

end define

define room <Attic Corridor Middle>
	alias <Attic>
	look <You are standing in a long corridor running north and south for the whole length of the attic.|n|nYou can go NORTH or SOUTH along the corridor.|nAn archway leads WEST.>
	indescription <You are in the middle of a long corridor.>
	north <Attic Corridor North>
	south <Attic Corridor South>
	west <Attic Landing >
end define

define room <Attic Corridor South>
	alias <Attic>
	look <This is the south part of the attic corridor. There is nothing but empty boxes here.|n|nYou can go NORTH back up the corridor.|nA door leads EAST.>
	indescription <You are at the south end of the attic corridor.>
	north <Attic Corridor Middle>
	east msg <The door to the east appears to be locked. Perhaps the keypad next to it will open it.>

	define object <Keypad>
		alias <Keypad>
		alt <pad>
		look msg <It's a simple keypad. You can type in a word. Maybe it'll open the door to the east.>
		examine msg <You can type a password on the keypad. But you don't know the password.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <That won't get the password typed in!>
	end define

	define object <Keypad2>
		alias <Keypad>
		alt <pad>
		look msg <It's a simple keypad. You can type in a word. Maybe it'll open the door to the east.>
		examine {
			msg <You can type a password on the keypad. You type the word ARACHNID. The door to the east beeps and then swings open.>
			create exit east <Attic Corridor South; Attic Office>
			hide <Keypad2>
			show <Keypad3>
		}
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <That won't get the password typed in!>
	end define

	define object <Keypad3>
		alias <Keypad>
		alt <pad>
		look msg <It's a simple keypad. It opened the door to the east.>
		examine msg <You have already typed the password on the keypad.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You've already typed the password - that won't do any good.>
	end define

end define

define room <Basement Hallway South>
	alias <Hallway>
	look <This is the south part of a dank L-shaped earthy hallway. The corner section has metal girders supporting it.|n|nThe hall continues NORTH.|nThe hall also curves round to the WEST.>
	indescription <You are in the south middle section of a dank L-shaped:>
	north <Basement Hallway North>
	west <Basement Hallway West>
end define

define room <Basement Hallway North>
	alias <Hallway>
	look <This is a dank hallway. It looks like it has been carved straight out of the earth. The floor is loosely covered with various planks of wood. The room is lit by one bare bulb hanging from the earthy ceiling.|n|nThe room continues SOUTH.|nA door leads WEST.>
	indescription <You are at the north end of a dark underground:>
	south <Basement Hallway South>
	west <Hall North-east of Swimming Pool>
end define

define room <Basement Corridor North>
	alias <Corridor>
	look <The ceiling of this short corridor is held up with wooden arch beams. The walls are made of stone. Electric bulbs glow in old torch brackets casting long shadows across the passage.|n|nThe passage continues SOUTH.|nA door leads off to the EAST.|nAnother door what about this leads NORTH.|nA barred gate leads WEST.>
	indescription <You are at the north end of a simple stone-walled:>
	north <Basement Machine Room>
	south <Basement Corridor South>
	east <Basement Hallway West>
	west <Basement Cell>
end define

define room <Basement Corridor South>
	alias <Corridor>
	look <Some of the wall has tumbled down in this part of the corridor, revealing the bare earth behind. Wooden beams have been used to shore it up and the rubble has been swept into a corner.|n|nThe corridor continues NORTH.|nA door leads WEST. Piping shoots out of the ceiling above this door and goes off into the ceiling.|nA set of elevator doors lie to the SOUTH.>
	indescription <You are at the south end of a short:>
	north <Basement Corridor North>
	south msg <There doesn't seem to be any power coming to the elevator. It doesn't work.>
	west <Basement Cave>
end define

define room <Basement Machine Room>
	alias <Machine Room>
	look <This room is full of machinery. Some of it presumably controls the pumping system for the swimming pool. A machine in the corner is labelled 'Elevator Power'.|n|nA door leads to the SOUTH.>
	indescription <You are in some kind of:>
	south <Basement Corridor North>

	define object <Elevator Power Machine>
		alias <Elevator Power Machine>
		alt <Machine>
		look msg <This machine is labelled 'Elevator Power'. It doesn't appear to be working.>
		speak msg <It says bugger all, unsurprisingly.>
		examine msg <There's a fuse missing from the electronics around the side of the machine. With a fuse back in place, it looks like the machine would work.>
		prefix <the>
		article <it>
		gender <it>
		use <Fuse> {
			msg <You slot the fuse neatly into place and hit the power button. The machine clicks and buzzes and a small green light turns on. Presumably, the elevator now works.>
			hide <Fuse>
			hide <Elevator Power Machine>
			show <Elevator Power Machine2>
			create exit south <Basement Corridor South; Basement Elevator>
		}
		use anything msg <That won't get the power back on.>
	end define

	define object <Elevator Power Machine2>
		alias <Elevator Power Machine>
		alt <Machine>
		look msg <This machine is labelled 'Elevator Power'. It's switched on.>
		speak msg <It says bugger all, unsurprisingly.>
		examine msg <With the fuse back in place, the machine is working again.>
		prefix <the>
		article <it>
		gender <it>
		hidden
		use anything msg <The power's already back on. What will that achieve?>
	end define

end define

define room <Cupboard under the Stairs>
	alias <Cupboard under the stairs>
	look <This cramped cupboard contains little of any value.>
	indescription <You are in the tiny:>
	out <Entrance Hall East>

	define object <Red Herring>
		alias <Red Herring>
		alt <fish; Fish; Herring; herring; red fish; Red Fish; Red fish>
		look msg <It's a fish - looks like a herring, but someone's painted it bright red.>
		take {
			msg <You take the fish. It's probably quite, quite useless.>
			give <Red Herring>
		}
		speak msg <Surprisingly, the fish says nothing.>
		examine msg <Something smells a bit fishy...>
		use msg <There's absolutely nothing you can do with it.>
		use anything msg <The red herring seems to be totally devoid of any useful function. That doesn't work.>
		use on anything msg <The red herring brilliantly fails to do anything at all.>
		give anything msg <The red herring refuses to accept your generous gift.>
		give to anything msg <That doesn't want the fish.>
		drop everywhere <You dropped the red herring. Just as well you won't need it.>
	end define

end define

define room <Secure Gallery East>
	alias <Gallery>
	look <Removing the picture from it's frame causes security shutters to slam down on all sides, locking you in the gallery.|n|nYou can only go WEST to the other side of the gallery.>
	indescription <You are in the:>
	north msg <The security shutters stop you going anywhere.>
	east msg <The security shutters stop you going anywhere.>
	west <Secure Gallery West>

	define object <Empty Frame>
		alias <Empty Frame>
		alt <empty frame; Empty frame; Frame; frame>
		look msg <This is the frame that you removed the drawing room picture from.>
		examine msg <Looking closely, you can see a tiny switch inside the frame that can only be triggered by something very thin like a painting.>
		prefix <an>
		article <it>
		gender <it>
		use <Drawing Room Painting> {
			msg <You slide the drawing room picture back into place. The painting hits the switch and the security shutters open again.>
			move <Drawing Room Painting; Gallery East>
			goto <Gallery East>
		}
		use <Art Gallery Painting> {
			msg <You slide the picture of the art gallery into the empty frame. It fits perfectly, and the security shutters release.>
			goto <Gallery East>
			hide <Art Gallery Painting>
			show <Art Gallery Painting2>
		}
		use anything msg <That won't fit in the frame.>
	end define

end define

define room <Secure Gallery West>
	alias <Gallery>
	look <You are in the gallery, at the western end. Security shutters have blocked all the exits.|n|nYou can only go EAST back to the other side of the gallery.>
	north msg <The security shutters stop you going anywhere.>
	east <Secure Gallery East>
	west msg <The security shutters stop you going anywhere.>

	define object <Security Shutter>
		alias <Security Shutter>
		alt <Security shutter; security shutter; Shutter; shutter>
		look msg <It's a huge security shutter blocking the exits to the room.>
		examine {
			msg <It's got something written on it:>
			say <Password = Arachnid>
			msg <You'd better remember that!>
			hide <Keypad>
			show <Keypad2>
		}
		prefix <a>
		article <it>
		gender <it>
		use msg <You kick the security shutter but it appears quite solid. You can't budge it at all.>
		use anything msg <It's very solid, you can't break it.>
	end define

end define

define room <Basement Hallway West>
	alias <Hallway>
	look <This is a dank hallway carved out of the earth.|n|nThe room continues EAST.|nA door leads WEST.>
	indescription <You are at the west end of a dark underground:>
	east <Basement Hallway South>
	west <Basement Corridor North>
end define

define room <Basement Cell>
	alias <Cell>
	look <This appears to be a prison cell of some sort. What's this doing under your uncle's house? It is furnished with a small wooden bed and a bucket.|n|nThe barred exit door lies to the EAST.>
	indescription <You are in a small, cramped:>
	east <Basement Corridor North>

	define object <Bone>
		alias <Bone>
		look msg <It's a big, juicy bone. You hope it's not human.>
		take {
			msg <You gingerly pick up the bone.>
			give <Bone>
		}
		examine msg <There's still some meat left on it. You really hope it's not human.>
		prefix <a>
		article <it>
		gender <it>
		use msg <Wisely, you decide not to gnaw on the bone.>
		use on <Dog> msg <You want to bash him on the head with it? Try giving it to him instead.>
		use anything msg <What will that achieve.>
		use on anything msg <You can't bone that! Geddit?>
	end define

end define

define room <Basement Cave>
	alias <Cave>
	look <This cave is wide and deep. A harsh path has been cut into the rock leading down. You can see a lake some way below the path. There's no guard rail. A set of piping follows the wall next to the path down to a machine built into a small area away from the cliff.|n|nThe exit lies to the EAST.>
	indescription <You are in a large, cool:>
	east <Basement Corridor South>

	define object <Machine>
		alias <Machine>
		look msg <This is some kind of lock release mechanism. It seems like the piping leads to the door that it will unlock. Now if you could just turn it on.>
		speak msg <You mutter disgustedly at the lousy machine.>
		examine msg <There are three slots here. It looks like you could put a lever in any one of them.>
		prefix <a>
		article <it>
		gender <it>
		use <Lever> choose <Which slot lever>
		use anything msg <That does nothing to the mechanism.>
	end define

	define object <Machine2>
		alias <Machine>
		look msg <This is some kind of lock release mechanism. It seems like the piping leads to the door that it will unlock. You've already unlocked the door.>
		speak msg <You mutter disgustedly at the lousy machine.>
		examine msg <There are two empty slots here. The third one has a lever in it.>
		prefix <a>
		article <it>
		gender <it>
		hidden
		use anything msg <You've already used the machine. That won't achieve anything.>
	end define

end define

define room <Basement Elevator>
	alias <Elevator>
	look <This is a fairly unstable-looking elevator. The power is on. A button in the corner will let you go down.|n|nYou can leave the elevator to the NORTH.>
	indescription <You are in a rickety freight:>
	north <Basement Corridor South>

	define object <Elevator Button>
		alias <Elevator Button>
		alt <Button>
		look msg <It's a small lit-up button with an arrow pointing down on it.>
		examine {
			msg <You can press the button.>
			choose <Elevator button>
		}
		prefix <the>
		article <it>
		gender <it>
		use anything msg <You can't press it with that. Try examining it.>
	end define

end define

define room <Basement Elevator2>
	alias <Elevator>
	look <This is a fairly unstable-looking elevator. The power is on. A button in the corner will let you go up.|n|nYou can leave the elevator to the NORTH.>
	indescription <You are in a rickety freight:>
	north {
		msg <You step out of the elevator and find yourself in a huge laboratory. Chemicals and scientific equipment lie on benches and shelves all around the room. There is a dead rat in a cage and a large tank labelled 'Warning: Highly Toxic'.>
		msg <You are just about to investigate, when the lift suddenly rattles upwards! You run to stop it, but it's too late. You listen carefully. Presently, you hear someone getting into the elevator and coming down.|nAt the bottom, a man in a black suit steps out and takes off his dark glasses. He starts to speak:>
		say <Thank you. You have been most helpful. We could not get into this lab because your uncle left such a complex series of locks and puzzles to stop us. Now you have opened the way for us. We need valuable chemicals from this lab to further our research. With your help, we have got them. Now we must decide what to do with you. You know too much for us to let you go. You can either come and work for us (your brilliant mind would be most useful to us.) or you can die, just like your uncle. The choice is yours...>
		wait <Press any key when ready>
		goto <Lab>
	}

	define object <Elevator Button2>
		alias <Elevator Button>
		alt <Button>
		look msg <It's a small lit-up button with an arrow pointing up on it.>
		examine {
			msg <You can press the button.>
			choose <Elev Butt 2>
		}
		prefix <the>
		article <it>
		gender <it>
		use anything msg <You can't press it with that. Try examining it.>
	end define

end define

define room <Lab>
	alias <Lab>
	look <The man in the black suit is blocking your exit. He's offered you a choice. Perhaps you could work for them. Or at least try and bargain with them. Then again, they did murder your uncle. Revenge would be sweet. Perhaps you could even run past the black suited man into the lift, which lies to the SOUTH.>
	indescription <You are in the:>
	south {
		msg <You made a sudden run for the lift. With lightning quickness, the man in the black suit whips out a pistol and shoots you in the leg. The pain of your shin shattering floods your brain and you collapse with a scream. The black suited man wordlessly walks over you to the lift and press the button. Just before the lift doors close, he throws a grenade into the room. In your pain and terror, you try to run away from it, but it doesn't explode. Instead, a hissing noise can be heard, as though gas is being emitted. You can just see a faint haze of gas. You stumble briefly, and then fall, your body succumbing to the deadly poison your uncle helped create.>
		playerlose
	}

	define object <Man in Black Suit>
		alias <Man in a black suit>
		alt <Man>
		look msg <He's looking at you, waiting for a response.>
		take msg <You doubt you could pick him up, even if he'd let you.>
		speak {
			msg <You turn to the man.|n'What kind of work would it be?' you say.|nHe smiles.|n'We will keep you busy,' he says, and indicates you should follow him.|nYou both travel up in the elevator. At the top, two more black-suited men meet you.|n'Is this the one?' says one of them.|n'Indeed,' says the man with you.|nThey lead you to a helicopter outside the mansion. With a last look back at the mansion, you plunge into the chopper, your new career beckoning...>
			playerwin
		}
		examine msg <There's nothing special about the man.>
		prefix <a>
		displaytype <person>
		article <him>
		gender <he>
		use <Fire ax> {
			msg <With a great roar, you swing the ax at the man in black. He tries to pull out a gun, but before he can get off a shot, the ax lops his arm off at the elbow.|nHe gasps in pain and stares in terror at his severed arm, now twitching on the floor. He looks up, and the last thing he sees is the fire ax descending onto his head.|nWiping dark blood from your face, you grip your ax and make your way up the elevator.|n'That's for my uncle,' you whisper...>
			playerwin
		}
		use <Half loaded shotgun> {
			msg <You pull the shotgun out and point it directly in the man's face. In terror, he backs away.|n'Stay where you are!' you yell.|n'I'll talk! What do you want to know?' he gibbers.|n'How many more of you are there?' you ask.|n'Two at the top of the elevator, three more on the helipad outside,' he blubs.|nYou check your shotgun. Only one shot left. Keeping it pointed at the man in the black suit, you edge round him towards the elevator. As you get in the lift, you look away for a second. The man whips out a pistol and points it at you. Before he can squeeze off a shot, you fire the shotgun. The man's head explodes like a ripe melon, brain matter and chunks of skull sent soaring across the lab in a spray of thick blood. The corpse falls to the floor twitching. You take the pistol from the lifeless hand. 17 shots gives you a much better chance...>
			playerwin
		}
		use anything msg <You can't use that on the man.>
		give anything msg <I don't think you've got anything he wants.>
	end define

end define

define room <Shed>
	alias <Shed>
	look <This tumble-down shed contains all sorts of junk. There doesn't seem to be anything of any use here.|n|nThe exit lies to the EAST.>
	indescription <You are in a small wooden:>
	east <Courtyard South-west>

	define object <Note>
		alias <Dirty Note>
		alt <Note>
		look msg <It's a note, covered in dirt. You can just make out your uncle's handwriting.>
		take {
			msg <You pick up the dirt-covered note.>
			give <Note>
		}
		speak msg <You can't speak to that, dumbass.>
		examine say <Ah! I have the formula! I was using the g=56 instead of p=gb42. How could I be so stupid! Now it should work. Ernie was a good rat, but testing is necessary.>
		prefix <a>
		article <it>
		gender <it>
		use msg <Try examining it to read it!>
		use <Cloth> msg <The mud is ground into the note and rubbing it with the cloth won't have much effect.>
		use <Shower Cleaner> msg <That might just dissolve the mud but what's the point - you can read it anyway.>
		use anything msg <The note doesn't need anything doing to it.>
		use on anything msg <Nothing happens.>
	end define

end define

define room <Attic Landing 2>
	alias <Landing>
	look <This is a dusty landing in the attic. The slope of the roof means that this room is very low.|n|nYou can go EAST further along the attic.>
	indescription <You are on a dusty:>
	east <Attic Landing >

	define object <Ladder2>
		alias <Ladder>
		alt <ladder>
		look {
			msg <There's a ladder leading down through a hatch in the floor.>
			choose <Ladder Dowm>
		}
		speak msg <You strike up a conversation about the weather, but it falls on deaf ears.>
		examine msg <The ladder is rickety, but seems solid enough to climb. It's covered in dust.>
		prefix <a>
		article <it>
		gender <it>
		use anything msg <Using that on the ladder won't do anything useful.>
	end define

end define

define text <intro>


*** THE MANSION ***

end define

define text <win>
Congratulations! You've completed the game. And you're alive! Now go do something productive... :)
end define

define text <lose>
Unfortunately, you died. Now you can either accept this and move on, or reload a saved game. You could even start all over from the beginning if you want...
end define

define selection <Drinks Cabinet Menu>
	info <Will you take the object?>
	choice <Yes> {
		show <Bottle>
		give <Bottle>
		msg <You reach in and pull out the dark object. Bringing it into the light reveals it to be a bottle.>
		hide <Drinks cabinet2>
		show <Drinks cabinet3>
	}
	choice <No> msg <You leave the object alone.>
end define
define selection <Drinks Cabinet Doors Menu>
	info <Do you wish to open the drinks cabinet doors?>
	choice <Yes> {
		msg <You open the doors of the drinks cabinet.>
		hide <Drinks cabinet>
		show <Drinks cabinet2>
	}
	choice <No> msg <You decide to leave the drinks cabinet alone.>
end define
define selection <Entrance Hall Stairs Up Menu>
	info <Do you wish to ascend the staircase?>
	choice <Yes> {
		msg <You walk up the stairs and find yourself above the entrance hall.>
		goto <Landing above entrance hall east>
	}
	choice <No> msg <You stay in the Entrance Hall downstairs.>
end define
define selection <Acid Sink Menu>
	info <Would you like to drain the sink?>
	choice <Yes> {
		msg <You gingerly pull the chain holding the plug in. The acid gurgles away down the plug hole. You wash away the remaining acid with water from the tap. All that is left is the key.>
		hide <Key 001 in acid>
		show <Key 001>
		hide <Acid Sink>
		show <Sink2>
	}
	choice <No> msg <You leave the sink alone. That acid looks dangerous.>
end define
define selection <Room 001 Wardrobe Menu>
	info <Would you like to open the wardrobe>
	choice <Yes> {
		msg <You pull open the wardrobe doors and look inside. There are no clothes, but there is a video tape on the wardrobe floor.>
		hide <Wardrobe>
		show <Open Wardrobe>
		show <Video Tape>
	}
	choice <No> msg <You leave the wardrobe closed.>
end define
define selection <Attic Ladder Menu>
	info <Will you climb the ladder?>
	choice <Yes> {
		msg <You scale the dusty ladder and find yourself in a dingy attic space.>
		goto <Attic Landing 2>
	}
	choice <No> msg <You leave the ladder for now.>
end define
define selection <Potato Sack Menu>
	info <Will you pull the item out?>
	choice <Yes> {
		msg <You tug on the glinting item, and retrieve a golden star-shaped pendant.>
		show <Star Pendant>
		give <Star Pendant>
		hide <Sack of Potatoes>
		show <Sack of Potatoes2>
	}
	choice <No> msg <You leave the item in the potato sack.>
end define
define selection <Bedside Table Menu>
	info <Will you pull out the object?>
	choice <Yes> {
		msg <You pull on the object in the drawer. Papers are sent flying, and you retrieve an ebony bull's horn.>
		show <Ebony Horn>
		give <Ebony Horn>
		hide <Bedside Table>
		show <Bedside Table2>
	}
	choice <No> msg <You leave the object where it is under the papers and effects.>
end define
define selection <Entrance Hall Stairs Down Menu>
	info <Do you wish to descend the staircase?>
	choice <Yes> {
		msg <You walk down the stairs and find yourself in the entrance hall.>
		goto <Entrance Hall East>
	}
	choice <No> msg <You remain on the landing above the entrance hall.>
end define
define selection <Which Clock Hand Menu>
	info <Which clock hand do you wish to turn?>
	choice <Large Hand> {
		msg <You take hold of the large hand of the clock.>
		choose <Large Hand Menu>
	}
	choice <Small Hand> msg <You take hold of the small hand and try and move it but it seems to be stuck.>
	choice <Neither> msg <You leave the clock alone.>
end define
define selection <Clock First Menu>
	info <Do you wish to turn the clock hands?>
	choice <Yes> {
		msg <You decide to turn the hands of the clock.>
		choose <Which Clock Hand Menu>
	}
	choice <No> msg <You leave the clock alone for now.>
end define
define selection <Large Hand Menu>
	info <What number on the clock face would you like to set the large hand to?>
	choice <1> msg <You turn the clock hand to the number 1. Nothing seems to happen.>
	choice <2> msg <You set the clock hand to the number 2. Nothing happens.>
	choice <3> {
		msg <You turn the large hand to the number 3. There is a click from somewhere inside the clock.>
		hide <Grandfather Clock>
		show <Grandfather Clock2>
	}
	choice <4> msg <You turn the big hand to the number 4. Nothing happens.>
	choice <5> msg <You turn the clock hand to the number 5. Nothing happens.>
	choice <6> msg <You turn the hand to 6. Nothing happens.>
	choice <7> msg <You turn the hand to 7. Nothing happens.>
	choice <8> msg <You set the large hand to 8. It seems to have had no effect.>
	choice <9> msg <You set the big hand to 9. Nothing happens.>
	choice <10> msg <You set the big hand to the number 10. Nothing happens.>
	choice <11> msg <You turn the big hand to 11. There is no effect.>
	choice <12> msg <You set the big hand to 12. Nothing happens.>
	choice <Leave it> msg <You leave the clock alone.>
end define
define selection <Small Hand Menu>
	info <What number would you like to set the small hand to?>
	choice <1> {
		msg <You set the little hand to the number 1. Nothing seems to happen.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <2> {
		msg <You turn the little hand of the clock to 2. Nothing happens.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <3> {
		msg <You set the little hand to the number 3. It has no effect.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <4> {
		msg <Turning the little hand to 4 does nothing.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <5> {
		msg <You push the little hand round to the number 5. Nothing happens.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <6> {
		msg <You turn the little hand to 6. It has no effect.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <7> {
		msg <You turn the little hand to 7. Everything stays exactly the same.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <8> {
		msg <You set the little hand to 8. Nothing happens.>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <9> {
		msg <You turn the little clock hand to 9. There is a sharp click from inside the grandfather clock.>
		hide <Grandfather Clock>
		hide <Grandfather Clock2>
		show <Grandfather Clock3>
	}
	choice <10> {
		msg <You turn the hand to the number 10. Nothign happens.>
		set numeric <Small Hand; 1>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <11> {
		msg <Upon setting the clock hand to 11, nothing happens.>
		set numeric <Small Hand; 1>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <12> {
		msg <You set the little hand to 12. Absolutely nothing happens.>
		set numeric <Small Hand; 1>
		hide <Grandfather Clock2>
		show <Grandfather Clock>
		hide <Grandfather Clock3>
	}
	choice <Leave it> msg <You leave the clock alone.>
end define
define selection <Shotgun Take Menu>
	info <Will you take the object from the grandfather clock?>
	choice <Yes> {
		msg <You reach in and pull the object out into the light. It's a sleek and shiny double-barrelled shotgun. It's not loaded.>
		show <Shotgun>
		give <Shotgun>
		hide <Wooden Panel2>
		show <Wooden Panel3>
	}
	choice <No> msg <You leave the object in the grandfather clock.>
end define
define selection <Clock Second Menu>
	info <Do you wish to turn the clock hands?>
	choice <Yes> {
		msg <You decide to turn the clock hands.>
		choose <Which Clock Hand Two>
	}
	choice <No> msg <You leave the grandfather clock alone.>
end define
define selection <Which Clock Hand Two>
	info <Which clock hand do you wish to turn?>
	choice <Large Hand> msg <You attempt to turn the large clock hand, but it's locked at the number three.>
	choice <Small Hand> {
		msg <You take the small clock hand and turn it.>
		choose <Small Hand Menu>
	}
	choice <Neither> msg <You leave the clock alone.>
end define
define selection <Clock Third Menu>
	info <Do you wish to turn the clock hands?>
	choice <Yes> {
		msg <You decide to turn the clock hands.>
		choose <Which Clock Hand Three>
	}
	choice <No> msg <You leave the clock alone.>
end define
define selection <Which Clock Hand Three>
	info <Which clock hand do you wish to turn?>
	choice <Large Hand> {
		msg <You decide to turn the large hand.>
		choose <Large Hand Menu Two>
	}
	choice <Small Hand> msg <The small hand has locked at the number nine.>
	choice <Neither> msg <You leave the clock alone.>
end define
define selection <Large Hand Menu Two>
	info <Which number do you wish to turn the large hand to?>
	choice <1> {
		msg <You turn the hand to 1. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <2> {
		msg <You turn the large hand to 2. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <3> {
		msg <You set the hand to 3. This time, nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <4> {
		msg <You set the big hand to 4. It has no effect.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <5> {
		msg <You set the clock hand to 5. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <6> {
		msg <You set the clock hand to 6. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <7> {
		msg <You turn the clock hand to 7. As soon as the hand is in place, there is a click, and the panel to the side of the grandfather clock slides open slowly, revealing a dark space behind.>
		hide <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		show <Grandfather Clock4>
		hide <Wooden Panel>
		show <Wooden Panel2>
	}
	choice <8> {
		msg <You turn the hand to 8. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <9> {
		msg <You turn the hand to 9. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <10> {
		msg <You set the large clock hand to the number 10. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <11> {
		msg <You set the large clock hand to 11. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <12> {
		msg <You turn the large hand to 12. Nothing happens.>
		show <Grandfather Clock>
		hide <Grandfather Clock2>
		hide <Grandfather Clock3>
		hide <Grandfather Clock4>
	}
	choice <Leave it> msg <You leave the clock alone.>
end define
define selection <Do you wish to take the post-it note?>
	info <Do you wish to take the post-it note?>
	choice <Yes> {
		msg <You unstick the post-it note from the mirror.>
		hide <Mirror>
		show <Post-it Note>
		give <Post-it Note>
		show <Mirror2>
	}
	choice <No> msg <You leave the post-it note where it is.>
end define
define selection <North stairs down menu>
	info <Do you wish to descend the staircase?>
	choice <Yes> {
		msg <You walk down the stairs to the hall below.>
		goto <Hall east of library>
	}
	choice <No> msg <You stay on the landing.>
end define
define selection <North stairs up menu>
	info <Do you wish to ascend the staircase?>
	choice <Yes> {
		msg <You walk up the stairs.>
		goto <2nd Floor Landing east of balcony above library>
	}
	choice <No> msg <You stay in the hall.>
end define
define selection <Button>
	info <Do you wish to press the button?>
	choice <Yes> {
		msg <You press the button and the door to the west opens.>
		create exit west <Hall east of library; Library North>
		create exit east <Library North; Hall east of library>
		hide <Button>
		show <Button2>
	}
	choice <No> msg <You leave the button as it is.>
end define
define selection <Attic Keypad Menu>
	info <Do you wish to enter a password?>
	choice <Yes> msg <You decide to try and type the right password on the keypad.>
	choice <No> msg <You leave the keypad alone.>
end define
define selection <Wolf key take>
	info <Will you retrieve the key from the dress?>
	choice <Yes> {
		msg <You reach under the folds of material and pull out a silver key. It was attached to the dress with sellotape.>
		show <Silver Key>
		give <Silver Key>
		hide <Dress>
		show <Dress2>
	}
	choice <No> msg <You leave the dress alone.>
end define
define selection <Statue Turn Menu>
	info <Which direction do you wish to turn the statue to face?>
	choice <North> {
		msg <You turn the statue to face north. With a slight click, the statue locks into place and the door to the north swings open.>
		create exit north <Statue Room; Observatory>
		hide <Statue with both>
		show <Statue finished>
	}
	choice <South> msg <You turn the statue to face south. Nothing appears to happen.>
	choice <East> msg <You turn the statue to face east. It doesn't seem to have had any effect.>
	choice <West> msg <You turn the statue until it faces west. Nothing happens.>
	choice <Leave it> msg <You leave the statue alone.>
end define
define selection <Statue Menu1>
	info <Do you wish to turn the statue?>
	choice <Yes> {
		msg <You take hold of the statue and find it moves quite easily, spinning left and right.>
		choose <Statue Turn Menu>
	}
	choice <No> msg <You leave the statue alone.>
end define
define selection <Telescope button>
	info <Will you press the button?>
	choice <Yes> {
		msg <You press the button. The viewfinder adjusts. You are about to have another look when a deadly-looking fire ax slides down the length of the telescope and clatters to the floor.>
		hide <Telescope>
		show <Telescope2>
		show <Fire ax>
	}
	choice <No> msg <You leave the button.>
end define
define selection <Swim button>
	info <Do you wish to push the button?>
	choice <Yes> {
		msg <You hit the button and the door to the south swings open.>
		create exit south <Swimming Pool East; Drawing Room North>
		create exit north <Drawing Room North; Swimming Pool East>
		hide <Button_swim>
		show <Button_swim2>
	}
	choice <No> msg <You leave the button as it is.>
end define
define selection <Kennel Menu>
	info <Do you wish to take the key?>
	choice <Yes> {
		msg <You take the key and quickly get out of the kennel in case the dog notices.>
		show <Office Key>
		give <Office Key>
		hide <Kennel3>
		show <Kennel4>
	}
	choice <No> msg <You leave the key where it is.>
end define
define selection <Wardrobe move>
	info <Do you wish to move the wardrobe?>
	choice <Yes> {
		msg <With a great effort, you slowly push the heavy wardrobe aside. You have unblocked the door to the east.>
		hide <Wardrobe block>
		show <Wardrobe block2>
		create exit east <Master Bedroom; Master Bedroom onsuite bathroom>
		create exit west <Master Bedroom onsuite bathroom; Master Bedroom>
	}
	choice <No> msg <You leave the wardrobe where it is.>
end define
define selection <Lever get menu>
	info <Do you wish to retrieve the lever?>
	choice <Yes> {
		msg <You pull on the lever and it comes free of the plug hole.>
		show <Lever>
		give <Lever>
	}
	choice <No> msg <You leave the lever alone.>
end define
define selection <Which slot lever>
	info <Which slot would you like to insert the lever into?>
	choice <1> msg <You slot the lever into the first slot but it doesn't quite fit so you pull it out again.>
	choice <2> msg <You try the lever in the second slot. It doesn't fit, and it takes quite some effort to pull it free again.>
	choice <3> {
		msg <You slide the lever into the third slot. It fits perfectly and clicks into place. You pull it down, and the machine starts. There is a loud clunk noise, and a rattling noise along the pipe. Presumably a door has unlocked somewhere.>
		hide <Lever>
		hide <Machine>
		show <Machine2>
		create exit south <2nd floor Corridor east of courtyard east; Master Bedroom>
	}
end define
define selection <Elevator button>
	info <Do you wish to press the Elevator Button?>
	choice <Yes> {
		msg <You press the button and the elevator clunks, then begins to descend squeakily. Presently, it stops and the doors open.>
		goto <Basement Elevator2>
	}
	choice <No> msg <You stay on this floor.>
end define
define selection <Elev Butt 2>
	info <Do you wish to press the Elevator Button?>
	choice <Yes> {
		msg <You press the button and the lift ascends squeakily to the top.>
		goto <Basement Elevator>
	}
	choice <No> msg <You stay on this floor.>
end define
define selection <Dining Room Table>
	info <Do you wish to move the table aside?>
	choice <Yes> {
		msg <With some effort, you manage to push the table against the south wall.>
		show <Mysterious Carving>
		hide <Table2>
		show <Table3>
	}
	choice <No> msg <You leave the table where it is.>
end define
define selection <Ladder Dowm>
	info <Will you climb down the ladder?>
	choice <Yes> {
		msg <You climb down the ladder all the way to the bottom.>
		goto <Dusty Room>
	}
	choice <No> msg <You stay where you are.>
end define

